// CppToAdaFuncs.H file defines the functions that go between C++ and ADA

#ifndef CppAda_def
#define CppAda_def

#define CPP_ONLY

#ifdef CPP_ONLY
#define EXTERNAL_ADA extern
#else
#define EXTERNAL_ADA extern "C"
#endif

EXTERNAL_ADA int CreateScenEl(char *Name,
				   char *SSR,
				   int ScenElId,
				   int CreateFlag);

EXTERNAL_ADA int ProcessCmsEvent(char* Buff);
EXTERNAL_ADA int ScheduleInitScenElEvents ();

#endif
