// EntityProxy.H header file

#ifndef EntityProxy_Object
#define EntityProxy_Object

#include "ObjectProxy.H"

class ENTITY_PROXY : public OBJECT_PROXY {
  private:
  protected:
  public:
    ENTITY_PROXY() {;}
    virtual void Get_Position(double X[3],
			      int PT, double Time)=0;

    virtual void Get_Position(double X[3], double V[3],
			      int PT, double Time)=0;

    virtual void Get_Position(double X[3], double V[3], double A[3],
			      int PT, double Time)=0;

    int GetAlive() {
      return GetLogical("Alive");
    }
  
    virtual char *WhoAmI() {return "ENTITY";}
};

#endif
