// S_DSP.H header file

#ifndef S_DSP_Object
#define S_DSP_Object

// <BEGIN: Include files>
#include "S_FixedEntity.H"
#include "DataParser.H"
// <END:   Include files>

/******************************************************************************
* S_DSP class definition                                                      *
******************************************************************************/
class S_DSP : public S_FIXED_ENTITY {

  private:

  protected:
    FLOAT_ATTRIBUTE ScanTime;
    STATE_FLOAT Altitude;

  public:

// <BEGIN: Define constructors>
    S_DSP();
// <END:   Define constructors>

// <BEGIN: Define public methods>
    void init(DATA_PARSER *Parser);
// <END:   Define public methods>

// <BEGIN: Define public virtual methods>
    virtual double GetScanTime() {return ScanTime;}
    virtual void terminate(double tend);
// <END:   Define public virtual methods>

};

#endif
