// S_Entity.H header file

#ifndef S_Entity_Object
#define S_Entity_Object

#include "S_HLA.H"

/************************************************************************
*	EntityObj object - An physical entity in the simulation		*
************************************************************************/
class S_ENTITY : public S_HLA {

  private:

    STRING_ATTRIBUTE EntityName, NULLTest;
    LOGICAL_ATTRIBUTE Alive;

  public:

    S_ENTITY(char *ProxyType);

    void SetEntityName(char *n) {EntityName = n;}
    char *GetEntityName() {return EntityName;}

/*
** Methods that SPEEDES calls
*/

    virtual void terminate(double tend);

};

#endif
