// S_GROUND_RADAR.H header file

#ifndef S_GROUND_RADAR_Object
#define S_GROUND_RADAR_Object


// <BEGIN: Include files>
#include "S_FixedEntity.H"
#include "DataParser.H"
// <END:   Include files>

/******************************************************************************
* S_GROUND_RADAR class definition                                             *
******************************************************************************/
class S_GROUND_RADAR : public S_FIXED_ENTITY {

  private:

  protected:
    FLOAT_ATTRIBUTE ScanTime;

  public:

// <BEGIN: Define constructors>
    S_GROUND_RADAR();
// <END:   Define constructors>

// <BEGIN: Define public methods>
    void init(DATA_PARSER *Parser);
// <END:   Define public methods>

// <BEGIN: Define public virtual methods>
    virtual double GetScanTime() {return ScanTime;}
    virtual void terminate(double tend);
// <END:   Define public virtual methods>

};

#endif
