// H_RadarUpdateAttributes.C file

#include "H_RadarUpdateAttributes.H"
#include "RadarComponent.H"

void H_RadarUpdateAttributes::Process(char *eventName, SIMTIME &timeTag,
					 char *data, int dataBytes,
					 int externalId) {

/*
** Here, we are responding to the fact that our own object has modified its
** attributes and we assume the worst (for now), that we have changed our
** motion. In this case, we want to set all of the remote proxy semaphores
** which will interrupt all of the precomputations that are currently being
** done for each of the remote proxies for my radar.
*/

#ifdef NOISY
  RB_cout << "Radar Update Attribute Event Handler" << endl;
#endif

  RadarComponent->SetRemoteProxySemaphore();

}
