// Main.C for the SPEEDES simulation

#include "Speedes.H"
void PlugInHLA();
void PlugInParNSS();

int main (int argc, char **argv) {

/*
** Plug in the HLA functionality that is provided by SPEEDES
*/

   PlugInHLA();

/*
** Plug in Parallel NSS (and potentially other simulations such as JSIMS and
** Wargame 2000)
*/

   PlugInParNSS();

/*
** Execute SPEEDES
*/

   ExecuteSpeedes(argc, argv);
   return 0;

}
