// S_ship.H header file

#ifndef S_ship_Object
#define S_ship_Object

#include "Thread.H"
#include "SpProc.H"
#include "Semaphore.H"

class S_ship : public Thread
{ 
 private:
   RB_int intAmount, intIncrement;
   RB_double dblAmount, dblIncrement;
   RB_int intTally, dblTally, requestIntDone, requestDblDone;
   int numRequesters;
   SpIntSem   intSem, printResultsSem;
   SpFloatSem dblSem;
   SpLogicalSem terminateAddSem;
 public:
   S_ship();
   void RequestInt(int);
   void RequestDbl(int);
   void Add();
   void PrintResults();
};

#endif
