// read_app1.H header file

#ifndef read_app1_object
#define read_app1_object

#include "event.H"
#include "msg.H"
#include "read_app1_mess.H"

/************************************************************************
*	read_app1 object 						*
************************************************************************/
class C_READ_APP1 : public C_EVENT {

  private:
    double time;		// time for finishing processing
    int n_received;		// number of received messages

//...... lazy inputs

    double lazy_time;
    C_MSG *lazy_msg;
    int lazy_n_received;

  protected:

  public:

    C_READ_APP1();
    virtual void temp_process();
    virtual void exchange();
    virtual int lazy();
    virtual void perm_process();
    virtual void cleanup();

};

DEFINE_EVENT(READ_APP1, C_READ_APP1, READ_APP1_MESS, 10);

#endif
