// receive.H header file

#ifndef rec_object
#define rec_object

#include "event.H"
#include "receive_mess.H"

/************************************************************************
*	receive object 							*
************************************************************************/
class C_RECEIVE : public C_EVENT {

  private:
    int destination;
    int source;
    int application;
    int read_event;
    int priority;
    int dummy_bytes;

//...... lazy inputs

  protected:

  public:

    C_RECEIVE();
    virtual void init(C_HEADER *header);
    virtual void temp_process();
    virtual void exchange();
    virtual int lazy();
    virtual void perm_process();
    virtual void cleanup();

};

DEFINE_EVENT(RECEIVE, C_RECEIVE, RECEIVE_MESS, 10);

#endif
