// start_app1.H header file

#ifndef start_app1_object
#define start_app1_object

#include "event.H"
#include "start_app1_mess.H"

/************************************************************************
*	start_app1 object 						*
************************************************************************/
class C_START_APP1 : public C_EVENT {

  private:
    int seed;			// random number seed
    double time;		// time for finishing processing
    int n_received;		// number of messages received

//...... lazy inputs

    int lazy_seed;
    double lazy_time;

  protected:

  public:

    C_START_APP1();
    virtual void temp_process();
    virtual void exchange();
    virtual int lazy();
    virtual void perm_process();
    virtual void cleanup();

};

DEFINE_EVENT(START_APP1, C_START_APP1, START_APP1_MESS, 10);

#endif
