/**************************************************************************/ 
/*		     ArrayStream.c    ArrayStream.c			  */ 
/**************************************************************************/ 
/*  Copyright (C) 1992,	 Vance Morrison	  */ 
/*  All rights reserved, see Copyright file for more information */ 
 
/* AUTHOR: Vance Morrison  
   DATE	 : 10/23/93		     */ 
/**************************************************************************/ 
 
#include "CharArrayStream.H"

/**************************************************************************/ 
Bool CharArrayOutStream::put(const char& val) { 
    if (cur >= bound) {
	if (!dynamic)
	    return(FALSE);

	int newBound = (bound*3)/2;
	char* newArray = new char[newBound]; 
	for(int i=0; i < cur; i++)	    // copy the array 
	    newArray[i] = array[i];
	delete [] array; 
	array = newArray;
	bound = newBound;
	}
    array[cur++] = val;
    return(TRUE);
};






