// O_Regression.C source file provides common I/O services for regression
// tests

#include "O_Regression.H"

/******************************************************************************
* ReportPass: Reports a pass message                                          *
******************************************************************************/
void O_REGRESSION::ReportPass(char *testName) {
  if (NODE == 0) {
    cout << "---| " << testName << " |--- Passed" << endl;
  }
}

/******************************************************************************
* ReportFail: reports a fail message                                          *
******************************************************************************/
void O_REGRESSION::ReportFail(char *testName) {
  if (NODE == 0) {
    cout << "---| " << testName << " |--- Failed" << endl;
  }
}

/******************************************************************************
* ReportInconclusive: reports an inconclusive test message                    *
******************************************************************************/
void O_REGRESSION::ReportInconclusive(char *testName) {
  if (NODE == 0) {
    cout << "---| " << testName << " |--- Inconclusive" << endl;
  }
}

