// S_TestRB_Container.H header file

#ifndef S_TestRB_Container_Object
#define S_TestRB_Container_Object

#include "S_DoTest.H"
#include "RB_DynArray.H"
#include "RB_BinaryTree.H"
#include "RB_HashTree.H"
#include "RB_PriorityTree.H"

/******************************************************************************
* S_TestRB_Container class definition                                         *
******************************************************************************/
class S_TestRB_Container : public S_DoTest {

  private:

    RB_DYN_PTR_ARRAY DynArray;
    RB_BINARY_TREE BinaryTree;
    RB_HASH_TREE HashTree;
    RB_PRIORITY_TREE PriorityTree;

  protected:

  public:

    S_TestRB_Container() {HashTree.SetArraySize(10);}
    virtual void DoTest(double time);

};

#endif
