// S_tank.C source file

#include "S_tank.H"
#include "SpScheduleEvent.H"

S_tank::S_tank(DATA_PARSER&)
{
   int i; 

   for (i=0; i<NUM_TURRETS; i++)
   {
      turretArray[i] =  new TURRET;
      AddComponent(turretArray[i]);
   }
   ehm = AddEventHandlerMethod ("hit1", EHM_A, this);
   AddEventHandlerMethod ("hit1", EHM_B, this);
}

EVENT_HANDLER_METHOD_C (S_tank, EHM_B)
{
   int i;
   
   if (turretArray[0]->PluggedIn())
   {
      for (i=0; i<NUM_TURRETS; i++) RemoveComponent(turretArray[i]);
   }
   else
   {
      for (i=0; i<NUM_TURRETS; i++) AddComponent(turretArray[i]);
   }
   if (toggle) { toggle = 0;    AddEventHandler ("hit1", ehm); }
   else        { toggle = 1; RemoveEventHandler ("hit1", ehm); }
   RB_cout << (int) TIME_TAG.GetTime()
	   << ":"
	   << NODE+LOCAL_ID
	   << ": B"
	   << endl;
   ScheduleEventHandler(TIME_TAG+1000+LOCAL_ID+NODE, "hit1", 0,
 			(get_N_NODES()==1) ? 1-LOCAL_ID : 0,
 			(get_N_NODES()==1) ? 0 : 1-NODE);
   ScheduleEventHandler(TIME_TAG+LOCAL_ID+NODE, "hit2", 0,
 			(get_N_NODES()==1) ? 1-LOCAL_ID : 0,
 			(get_N_NODES()==1) ? 0 : 1-NODE);
   ScheduleEventHandler(TIME_TAG+LOCAL_ID+NODE, "hit3", 0,
 			(get_N_NODES()==1) ? 1-LOCAL_ID : 0,
 			(get_N_NODES()==1) ? 0 : 1-NODE);
			
   // This prevents compiler warnings saying these variables are unused.
   void *v;
   v = (void*) DATA;
   v = (void*) DATA_BYTES;
   v = (void*) EXTERNAL_ID;
   v = (void*) EVENT_NAME;
   v = v;
}

