// Filename: TurretComp.C. Defines a component for the compaAndEHM regression test

#include "TurretComp.H"
#include "simobj.H"
#include "rollbackStreams.H"

TURRET::TURRET()
{
   for (int i=0; i<NUM_EVENT_HANDLERS; i++)
   {
      heh[i] = new HIT_EVENT_HANDLER(i+1);
      AddEventHandler("hit2", heh[i]);
   }
   AddEventHandlerMethod("hit3", EHM_C, this);
}

EVENT_HANDLER_METHOD_C (TURRET, EHM_C)
{     

   RB_cout  << (int) TIME_TAG.GetTime()
	    << ":"
	    << SimObj->get_NODE() + SimObj->get_LOCAL_ID()
	    << ": C"
	    << endl;

   // These lines prevent compiler warnings saying these variables are unused.
   void *v;
   v = (void*) EVENT_NAME;
   v = (void*) DATA_BYTES;
   v = (void*) EXTERNAL_ID;
   v = (void*) DATA;
   v = v;
}
