// Filename: TurretComp.H. Defines a component for the compaAndEHM regression test

#ifndef TUR_COMP_OBJ
#define TUR_COMP_OBJ

#include "Component.H"
#include "HitEventHandler.H"
#include "EventHandlerMethod.H"

const int NUM_EVENT_HANDLERS = 5;

class TURRET: public COMPONENT {

 public:

   TURRET();
   
 private:

   HIT_EVENT_HANDLER *heh[NUM_EVENT_HANDLERS];
   RB_int callsToPrintEHM;
   EVENT_HANDLER_METHOD_H (TURRET, EHM_C);
};

#endif
