// O_LogSem.C source file

#include "O_LogSem.H"

DECLARE_1_ARG(LogSemC, int)
DECLARE_1_ARG(LogSemR, int)

O_LogSem* LogSem_OBJECT_MANAGER = NULL;

O_LogSem::O_LogSem(): O_Sem("LogSem", LogSemC, LogSemR)
{
   int numTests = 0;
   
   numTests += Configure("LOG_SEM_TEST", new_S_LogSem);
   if (numTests) EndConfigure();
   LogSem_OBJECT_MANAGER = this;
}

S_LogSem &O_LogSem::GetLocalObject(int localId)
{
   return *((S_LogSem *) O_Sem::GetLocalObject(localId));
}

S_LogSem &O_LogSem::GetLocalObject(char *name)
{
   int dummy, localId;
   
   get_nodid(name, dummy, localId);
   return GetLocalObject(localId);
}
