// S_LogSem.H header file

#ifndef S_LogSem_Object
#define S_LogSem_Object

#include "S_Sem.H"
#include "Semaphore.H"
#include "SpScheduleEvent.H"

class S_LogSem: public S_Sem
{
 private:
   LogicalSemaphore *LS;
 public:
   void LogSemControllerProcess(const int proId);
   void LogSemRequesterProcess(const int proId);
   S_LogSem(DATA_PARSER &) {}
   virtual void InitSem(int numSemsPerObject)
   {
      LS = new LogicalSemaphore[numSemsPerObject];
   }
};

#endif
