// O_TestBlockDecomp.H header file

#ifndef O_TestBlockDecompGate
#define O_TestBlockDecompGate

#include "O_SpBlockDecomp.H"
#include "S_TestBlockDecomp.H"

class O_TestBlockDecomp : public O_SpBlockDecomp {
  private:
  protected:
  public:
    O_TestBlockDecomp() {CreateSimObjs(7);}
    virtual SpSimObj *CreateSimObj() {return new S_TestBlockDecomp();}
    virtual void DestroySimObj(SpSimObj *simObj) {
      delete (S_TestBlockDecomp *)simObj;
    }
    virtual char *GetClusterName() {return "Cluster_B";}
    virtual char *GetSimObjMgrName() {return "TestBlockDecomp";}
};

DEFINE_OBJECT_MANAGER_CLUSTER(TestBlockDecomp, O_TestBlockDecomp, Cluster_B);

#endif
