// Main.C for the SPEEDES simulation

#include "Speedes.H"
#include "S_TestCancel.H"

#include "SpClusterMgr.H"

int main (int argc, char **argv) {

/*
** Plug in clusters
*/

  PLUG_IN_CLUSTER(TestCancel);

/*
** Plug in the simulation objects and events
*/

  PLUG_IN_OBJECT_MANAGER(TestCancel);

  PLUG_IN_EVENT(ScheduleMyEventTC);
  PLUG_IN_EVENT(RetractMyEventTC);
  PLUG_IN_EVENT(MyEvilEventTC);

/*
** Execute SPEEDES
*/

   ExecuteSpeedes(argc, argv);
   return 0;

}
