#include "PersistenceTestList.H"



void PersistenceListItem::SetTopName(){
  PO_SET_NAME_PersistenceListItem(this, "Top");
}


PersistenceListItem* PersistenceListItem::PersistenceNewPersistenceListItem(){
  return PO_NEW_PersistenceListItem();
}


void PersistenceListItem::PersistenceDeletePersistenceListItem(PersistenceListItem* item)
{
  PO_DELETE_PersistenceListItem(item);
}

PersistenceListItem* ListTop = NULL;

ContainedClass* PersistenceListItem::Remove(PersistenceListItem* listItem){
  ContainedClass* rc = NULL;
  if (listItem){
    if (listItem == ListTop){
      ListTop = listItem->Next;
      if (ListTop){
	ListTop->SetTopName();
      }
    }
    else{
      listItem->Previous->Next = listItem->Next;
    }
    if (listItem->Next){
      listItem->Next->Previous = listItem->Previous;
    }
    FibonacciFixup(listItem->Next);
    rc = listItem->Item;
    PersistenceDeletePersistenceListItem(listItem);
  }
  return rc;
}
