// O_ENTITY.H header file

#ifndef O_ENTITY_Object
#define O_ENTITY_Object

#include "S_ENTITY.H"
#include "Semaphore.H"

/******************************************************************************
* O_ENTITY class definition                                                   *
******************************************************************************/
class O_ENTITY : public C_OBJMAN {

  private:

    S_ENTITY *LocalObjects;
    DATA_PARSER *Parser;
    const int StartingGloablId;

  public:

    int IdInMan(int local_id)
    {
      const int
	a = NODE + local_id * N_NODES,
	b = LocalObjects[local_id].get_GLOBAL_ID() - StartingGloablId;
      assert(a == b);
      return a;
    }


// <BEGIN: Define constructors>
    O_ENTITY();
// <END:   Define constructors>

// <BEGIN: Define public methods>
// <END:   Define public methods>

// <BEGIN: Define public virtual methods>
    virtual void init_events();
    virtual void terminate(double tend);
// <END:   Define public virtual methods>

};

DEFINE_OBJECT_MANAGER(ENTITY, O_ENTITY);

#endif
