// M_SpUnSubscribeGrid.H header file

#ifndef M_UNSUBSCRIBE_GRID_H
#define M_UNSUBSCRIBE_GRID_H

#include "SpMsg.H"

class M_SpUnSubscribeGrid : public SpMsg {
public:
  M_SpUnSubscribeGrid(void)
    : SpaceId(-1), GlobalId(-1), LookAhead(0.0), NumLookupItem(0) {}

  M_SpUnSubscribeGrid(int global_id, int space_id)
    : SpaceId(space_id), GlobalId(global_id), LookAhead(0.0), NumLookupItem(0) {}

  void   SetLookAhead(double v)   { LookAhead = v;      }
  double GetLookAhead(void) const { return (LookAhead); }

  void   SetNumLookupItem(int v)  { NumLookupItem = v;  }

  NET_INT GlobalId;	// global id of subscriber
  NET_INT SpaceId;
  NET_DOUBLE LookAhead;
  NET_INT NumLookupItem;
};

#endif
