// SpDDMSpace.H 

#ifndef DDMSPACE_H
#define DDMSPACE_H

#include "SpComponent.H"

class S_SpHLA;
class SpSpace;

class SpDDMSpace : public SpComponent {

  public:
    const char *GetName(void) const;
    S_SpHLA *   GetSimObj(void) { return ((S_SpHLA *) SimObj); }

    const SpSpace *GetSpace(void);
    int            GetId(void) const;
    virtual double GetUpdateFreqHour(void) = 0;
    virtual double GetLookAheadHour(void) = 0;

  protected:
    SpDDMSpace(void);
    SpDDMSpace(S_SpHLA *hla, const SpSpace *space);
    ~SpDDMSpace(void);

  private:
    const SpSpace *Space;
};

#endif
