#ifndef SP_DDM_UTILS_H
#define SP_DDM_UTILS_H

class RB_SpBinaryTree;
class SpBinaryTree;
class SpList;

extern void Compare(RB_SpBinaryTree *origItems, RB_SpBinaryTree *newItems,
                    int (*getOrigItemId) (void *), int (*getNewItemId) (void *),
                    SpList *addItems,  SpList *removeItems);

extern void Compare(SpBinaryTree *origItems, SpBinaryTree *newItems,
                    int (*getOrigItemId) (void *), int (*getNewItemId) (void *),
                    SpList *addItems,  SpList *removeItems);

extern void Compare(SpBinaryTree *origItems, SpBinaryTree *newItems,
                    int (*getOrigItemId) (void *), int (*getNewItemId) (void *),
                    SpList *addItems,  SpList *removeItems, SpList *matchItems);

extern void Compare(RB_SpBinaryTree *origItems, RB_SpBinaryTree *newItems,
                    int (*getOrigItemId) (void *), int (*getNewItemId) (void *),
                    SpList *addItems,  SpList *removeItems, SpList *matchItems);

#endif
