#ifndef SP_DDM_UTILS_H
#define SP_DDM_UTILS_H

class RB_SpBinaryTree;
class SpBinaryTree;

extern void Compare(RB_SpBinaryTree *origItems, RB_SpBinaryTree *newItems,
                    int (*getOrigItemId) (void *), int (*getNewItemId) (void *),
                    SpBinaryTree *addItems,  SpBinaryTree *removeItems);

extern void Compare(SpBinaryTree *origItems, SpBinaryTree *newItems,
                    int (*getOrigItemId) (void *), int (*getNewItemId) (void *),
                    SpBinaryTree *addItems,  SpBinaryTree *removeItems);

extern void Compare(SpBinaryTree *origItems, SpBinaryTree *newItems,
                    int (*getOrigItemId) (void *), int (*getNewItemId) (void *),
                    SpBinaryTree *addItems,  SpBinaryTree *removeItems, SpBinaryTree *matchItems);

extern void Compare(RB_SpBinaryTree *origItems, RB_SpBinaryTree *newItems,
                    int (*getOrigItemId) (void *), int (*getNewItemId) (void *),
                    SpBinaryTree *addItems,  SpBinaryTree *removeItems, SpBinaryTree *matchItems);

#endif
