// SpaceObj.H header file

#ifndef SpaceObj_object
#define SpaceObj_object

#include "SpStdlib.H"

#include "SpSimObj.H"
#include "RB_SpHiGrid.H"

#include "SpPubSubItem.H"

/************************************************************************
*	SpaceObj							*
************************************************************************/
class S_SpGrid : public SpSimObj {

  private:
    S_SpGrid      (S_SpGrid&) {abort();}
    void operator=(S_SpGrid&) {abort();}

    RB_SpHiGrid HiGrid;

  protected:

  public:

    S_SpGrid();
    RB_SpHiGrid *GetHiGrid() {return &HiGrid;}
    const RB_SpHiGrid &GetHiGrid() const {return HiGrid;}
    void terminate(double tend);

    int VerifyRegion(MAIN_PUBSUB_ITEM *MainPubSubItem);

};


typedef S_SpGrid S_Grid;

#endif
