#ifndef __SpAltitudeDim__
#define __SpAltitudeDim__

#include "SpDoubleDim.H"
#include "SpAltitudeLookupItem.H"

class SpAltitudeDim : public SpDoubleDim
{
  public:
    SpAltitudeDim(SpDataParser &dataParser)
      : SpDoubleDim(dataParser)
    {}

  private:
    SpAltitudeDim(SpAltitudeDim&) {abort();}

    SpAltitudeDim() {abort();}

    SpDimLookupItem::DimensionTypes get_DimType() const
    { return SpDimLookupItem::Altitude; }

    SpDimLookupItem *GetDontCareLookupItem() const
	{ return new SpAltitudeLookupItem; }
};

typedef SpAltitudeDim AltitudeDimension;

#endif
