#ifndef __SpAltitudeLookupItem__
#define __SpAltitudeLookupItem__

#include "SpDoubleLookupItem.H"

class SpAltitudeLookupItem : public SpDoubleLookupItem
{
  public:
    SpAltitudeLookupItem(double lo, double hi, double resolution)
      : SpDoubleLookupItem("Altitude", lo, hi, resolution) {}

    SpAltitudeLookupItem() : SpDoubleLookupItem("Altitude") {}

  private:
    SpAltitudeLookupItem(SpAltitudeLookupItem&)
      : SpDoubleLookupItem(0, 0, 0, 0) {abort();}

    DimensionTypes get_DimType() const { return Altitude; }
};

typedef SpAltitudeLookupItem AltitudeLookupItem;

#endif
