// SpRoutingSpaceFreeList.C method file

#include "SpRoutingSpaceFreeList.H"
#include "SpPubSubItem.H"
#include "SpGridLookupOutput.H"

void *new_SpPubSubItem(int n)		{return new SpPubSubItem[n];}

void *new_MAIN_PUBSUB_ITEM(int n)	{return new MAIN_PUBSUB_ITEM[n];}
void *new_SpGridLookupOutput(int n)	{return new SpGridLookupOutput[n];}

/************************************************************************
* SpRoutingSpaceFreeList : SpRoutingSpaceFreeList constructor		*
************************************************************************/
SpRoutingSpaceFreeList::SpRoutingSpaceFreeList() {

  set_ntypes(N_SpRoutingSpaceFreeList_OBJECTS);

  set_type("SpPubSubItem", FREE_SpPubSubItem, new_SpPubSubItem,
	   sizeof(SpPubSubItem), 1000);

  set_type("MAIN_PUBSUB_ITEM", FREE_MAIN_PUBSUB_ITEM, new_MAIN_PUBSUB_ITEM,
	   sizeof(MAIN_PUBSUB_ITEM), 1000);

  set_type("SpGridLookupOutput", FREE_SpGridLookupOutput, new_SpGridLookupOutput,
	   sizeof(SpGridLookupOutput), 1000);
}
