// H_SpFedGhostDiscoverObject.C source file

// I moved the following #include line to before all other #includes
// so that it would compile on the HP Convex/Exemplar computer named
// dax.cmf.nrl.navy.mil.  The old order caused the HP compiler to say
// "signal 11" with no other explanation of what could be wrong, which
// is why I suspect it is a bug in the HP compiler.  There were about
// a total of 38 files in which I had to change the order of includes
// to get it to compile.
#include "S_SpFedGhost.H"
#include "H_SpFedGhostDiscoverObject.H"
#include "F_ProxyItem.H"
#include "SpObjFactory.H"
#include "SpObjProxy.H"

extern SpObjFactory *ObjFact;

H_SpFedGhostDiscoverObject::H_SpFedGhostDiscoverObject() {

}

void H_SpFedGhostDiscoverObject::Process(char *,
					 SIMTIME &timeTag,
					 char *data,
					 int,
					 int) {

  F_PROXY_ITEM *proxyItem = (F_PROXY_ITEM *)data;
  SpObjProxy *objProxy = proxyItem->GetObjectProxy();

  RB_cout << "Federate discovering an object proxy "
	  << objProxy->GetName() << endl;

  S_SpFedGhost *fedGhost = (S_SpFedGhost *)SimObj;
  fedGhost->SetMinMsgTime(timeTag);

  int buffSize = ObjFact->GetMessageSize(objProxy);
  char *buff = (char *)ObjFact->GenerateMessage(objProxy);

  HostUser->RB_SendNamedData("DiscoverObject",
			     GetTime(),
			     fedGhost->GetExternalId(),
			     buff,
			     buffSize,
			     GlobalId);

}

