// H_SpFedGhostNextEventRequest.C source file

#include "H_SpFedGhostNextEventRequest.H"
#include "S_SpFedGhost.H"

H_SpFedGhostNextEventRequest::H_SpFedGhostNextEventRequest() {

}

void H_SpFedGhostNextEventRequest::Process(char *,
					 SIMTIME &timeTag,
					 char *data,
					 int,
					 int) {

  SpSimTime time;
  memcpy((char *)&time, data, sizeof(SpSimTime));

  RB_cout << "Next event request " << time
	  << " received at time " << timeTag << endl;

  S_SpFedGhost *fedGhost = (S_SpFedGhost *)SimObj;
  fedGhost->SetNextEventRequestTime(time);

}

