// H_SpFedGhostReceiveInteraction.C source file

#include "H_SpFedGhostReceiveInteraction.H"
#include "S_SpFedGhost.H"

H_SpFedGhostReceiveInteraction::H_SpFedGhostReceiveInteraction() {

}

void
H_SpFedGhostReceiveInteraction::ProcessEventHandler(char *eventName,
						    SpSimTime &timeTag,
						    char *data,
						    int dataBytes,
						    int) {

  //  RB_cout << "Federate receiving an interaction " << eventName << endl;

  S_SpFedGhost *fedGhost = (S_SpFedGhost *)SimObj;
  fedGhost->SetMinMsgTime(timeTag);

  HostUser->RB_SendNamedData(eventName,
			     GetTime(),
			     fedGhost->GetExternalId(),
			     data,
			     dataBytes,
			     GlobalId);

}
