// H_SpFedGhostReceiveInteraction.H event handler header file

#ifndef H_SpFedGhostReceiveInteractionGate
#define H_SpFedGhostReceiveInteractionGate

#include "SpEventHandler.H"

class H_SpFedGhostReceiveInteraction : public SpInteractionHandler
{
public:
  /* This handler is used when an external federate declares its intention
   * to subscribe to an interaction class - the fed ghost object will 
   * subscribe to the same class inside of SPEEDES, and whenever the ghost
   * receives an interaction it will send the data to the federate.
   */
  H_SpFedGhostReceiveInteraction();
  virtual void ProcessEventHandler(char *eventName, SpSimTime &timeTag,
				   char *data, int dataBytes, int externalId);
  virtual void Process(SpParmSet &) { ; }
};

#endif
