// H_SpFedGhostSendInteraction.C source file

#include "H_SpFedGhostSendInteraction.H"
#include "S_SpFedGhost.H"
#include "SpParmSet.H"

H_SpFedGhostSendInteraction::H_SpFedGhostSendInteraction() {

}

void
H_SpFedGhostSendInteraction::Process(char *,
				     SpSimTime &timeTag,
				     char *data,
				     int dataBytes,
				     int) {

  char *interactionName = data;
  data += strlen(interactionName) + 1;
  dataBytes -= strlen(interactionName) + 1;
  SpParmSet paramSet(data, dataBytes);

  //  RB_cout << "Federate sending an interaction " << interactionName << endl;

  ScheduleInteraction(timeTag, interactionName, paramSet);

}
