// H_SpFedGhostSendInteraction.H event handler header file

#ifndef H_SpFedGhostSendInteractionGate
#define H_SpFedGhostSendInteractionGate

#include "SpEventHandler.H"

class H_SpFedGhostSendInteraction : public SpEventHandler
{
public:
  /* This handler is invoked whenever an external federate wants to
   * send an interaction into SPEEDES.  The fed ghost takes the
   * interaction data and turns it into a SPEEDES interaction.
   */
  H_SpFedGhostSendInteraction();
  virtual void Process(char *eventName, SpSimTime &timeTag,
		       char *data, int dataBytes,
		       int externalId);
};

#endif
