// H_SpFedGhostSetTimeLag.C source file

#include "H_SpFedGhostSetTimeLag.H"
#include "S_SpFedGhost.H"

H_SpFedGhostSetTimeLag::H_SpFedGhostSetTimeLag() {

}

void H_SpFedGhostSetTimeLag::Process(char *,
					 SIMTIME &,
					 char *data,
					 int,
					 int) {

  NET_DOUBLE timeLag;
  memcpy((char *)&timeLag, data, sizeof(NET_DOUBLE));

  S_SpFedGhost *fedGhost = (S_SpFedGhost *)SimObj;
  fedGhost->SetTimeLag(timeLag);

  RB_cout << "Set Time Lag " << timeLag << endl;

}

