// H_SpFedGhostSubscribeInteraction.C source file

#include "H_SpFedGhostSubscribeInteraction.H"
#include "S_SpFedGhost.H"

H_SpFedGhostSubscribeInteraction::H_SpFedGhostSubscribeInteraction() {

}

void H_SpFedGhostSubscribeInteraction::Process(char *,
					       SIMTIME &,
					       char *data,
					       int,
					       int) {

  //  RB_cout << "SUB INT: Federate " << externalId << " subscribing to " 
  //	  << data << " at time " << timeTag << endl;

  S_SpFedGhost *fedGhost = (S_SpFedGhost *)SimObj;

  // The ReceiveInteractionHandler is a generic handler that will take
  // any interactions passed to it and forward them to the external
  // module.
  fedGhost->AddSubscribeEventHandler(data, &ReceiveInteractionHandler);
}
