// E_SpRemoveProxy.H header file

#ifndef E_SP_REMOVE_PROXY_H
#define E_SP_REMOVE_PROXY_H

#include "SpEvent.H"
#include "M_SpRemoveProxy.H"
#include "SpExecute.H"

class SpProxyDestination;
class F_SpProxyListItem;
class C_XQUEUE;

/************************************************************************
* Deliver Proxy event object		 	       			*
************************************************************************/
class E_SpRemoveProxy : public SpEvent {
  public:

    E_SpRemoveProxy();
    virtual void process();
    int lazy();
    void commit();

  private:
    int valid, errcode;

    int ProcessRemove(C_XQUEUE *proxy_list, F_SpProxyListItem *proxy_list_item,
		int space_id, float look_ahead, int num_destination, SpProxyDestination *destination);
    int ProcessUndeliver(F_SpProxyListItem *proxy_list_item,
		int space_id, float look_ahead, int num_destination, SpProxyDestination *destination); 
};

DEFINE_EVENT(REM_PROXY_LOCAL_PROXYMAN, E_SpRemoveProxy, M_SpRemoveProxy, 10);

#endif
