// E_SpUndeliverProxyPtr.H header file

#ifndef E_HLA_EVENT_UNDELIVER_PROXY_PTR_H
#define E_HLA_EVENT_UNDELIVER_PROXY_PTR_H

#include "SpEvent.H"
#include "SpExecute.H"
#include "M_SpUndeliverProxyPtr.H"

/************************************************************************
* Deliver Proxy Pointer event object		       			*
************************************************************************/
class E_SpUndeliverProxyPtr : public SpEvent {

  public:
    E_SpUndeliverProxyPtr();
    virtual void process();
    int lazy();
    void commit();

  private:
    int valid, errcode;
};

DEFINE_EVENT(UNDELIVER_PROXY_PTR,  E_SpUndeliverProxyPtr,  M_SpUndeliverProxyPtr, 10);
typedef E_SpUndeliverProxyPtr E_UNDELIVER_PROXY_PTR;

#endif
