// M_DecMan_event_ADD_SUBSCRIBER.H header file

#ifndef M_HLA_EVENT_ADD_SUBSCRIBER_H
#define M_HLA_EVENT_ADD_SUBSCRIBER_H

#include "SpMsg.H"
#include "SpNetTypes.H"

/******************************************************************************
* M_SpAddSubscriber class definition                                          *
******************************************************************************/
class M_SpAddSubscriber : public SpMsg {
  public:
    M_SpAddSubscriber(void)
      : NumSubscriber(0), LookAhead(0.0) {}

    M_SpAddSubscriber(int num_subscriber)
      : NumSubscriber(num_subscriber), LookAhead(0.0) {}

    void  SetLookAhead(float v) { LookAhead = v; }
    float GetLookAhead(void) const { return (LookAhead); }
    int   GetNumSubscriber(void) const { return (NumSubscriber); }

  private:
    NET_INT    NumSubscriber;
    NET_DOUBLE LookAhead;
};

typedef M_SpAddSubscriber M_ADD_SUBSCRIBER_HLA;

#endif
