// M_SpHlaUnsubscribe.H header file

#ifndef M_HLA_EVENT_UNSUBSCRIBE_H
#define M_HLA_EVENT_UNSUBSCRIBE_H

#include "SpMsg.H"
#include "SpNetTypes.H"

/******************************************************************************
* M_SpHlaUnsubscribe class definition                                          *
******************************************************************************/
class M_SpHlaUnsubscribe : public SpMsg {

  private:

  protected:

  public:
    M_SpHlaUnsubscribe(int node, int global_id, int local_id, int obj_type)
      : Node(node), GlobalId(global_id), LocalId(local_id), ObjType(obj_type) {}
  
    NET_INT Node, GlobalId, LocalId, ObjType;
};

typedef M_SpHlaUnsubscribe M_UNSUBSCRIBE_HLA;

#endif
