// F_SpProxyListItem.H header file

#ifndef F_ProxyListItem_Object
#define F_ProxyListItem_Object

#include "SpObjProxy.H"
#include "xqueue.H"
#include "sq_item.H"

/************************************************************************
 * This object stores a copy of a remote object proxy along with a	*
 * list of local entities that need the object proxy		.   	*
 ************************************************************************/
class F_SpProxyListItem : public C_SQ_ITEM {

  private:

  protected:

    STATE_POINTER ObjectProxy;
    C_XQUEUE ProxyList;

  public:

    void SetObjectProxy(SpObjProxy *o) {ObjectProxy = o;}
    SpObjProxy *GetObjectProxy() {
      void *v = ObjectProxy;
      return (SpObjProxy *)v;
    }

    C_XQUEUE *GetProxyList() {return &ProxyList;}

    void SetGlobalId(int i) {id = i;}
    int GetGlobalId() {return id;}

};

//RB_DEFINE_CLASS(F_SpProxyListItem);

typedef F_SpProxyListItem F_PROXY_LIST_ITEM;

#endif
