// F_SpUpdateListItem.H header file

#ifndef F_UpdateListItem_Object
#define F_UpdateListItem_Object

#include "sq_item.H"
#include "SpExportAttribute.H"

/************************************************************************
 * This object stores a pointer to an attribute that was updated	*
 ************************************************************************/
class F_UPDATE_LIST_ITEM : public C_SQ_ITEM {

  private:

  protected:

    BASE_ATTRIBUTE *Attribute;

    // This variable is ADD OR REMOVE iff Attribute is a
    // LIST_ATTRIBUTE and was updated by adding or removing an item
    // from the LIST_ATTRIBUTE
    ADD_REMOVE AddRemove;

    ATTRIBUTE_LIST_ELEMENT Ptr;

  public:

    void SetAttribute(BASE_ATTRIBUTE *a) {Attribute = a;}
    BASE_ATTRIBUTE *GetAttribute() {return Attribute;}
    void SetAddRemove(ADD_REMOVE a) {AddRemove = a;}
    ADD_REMOVE GetAddRemove() {return AddRemove;}
    void SetPtr(ATTRIBUTE_LIST_ELEMENT  p) {Ptr = p;}
    ATTRIBUTE_LIST_ELEMENT GetPtr() {return Ptr;}

};

#endif
