// H_SpObjProxy.H header file sends object proxies through the host router
// to the object proxy state manager

#ifndef OPROXY_HNDLER
#define OPROXY_HNDLER

#include "SpEventHandler.H"
#include "SpObjProxy.H"

class H_SpObjProxy : public SpEventHandler {

  private:

    SpObjProxy *ObjectProxy;

  protected:

  public:

    H_SpObjProxy(SpObjProxy *objectProxy) {
      ObjectProxy = objectProxy;
    }

    virtual void Process(char *eventName, SpSimTime &timeTag,
			 char *data, int dataBytes,
			 int externalId);
};

typedef H_SpObjProxy H_OBJECT_PROXY;

#endif
