// RanMotMan.H header file

#ifndef LocProxMan_object
#define LocProxMan_object

#include "SpSimObjMgr.H"
#include "SpDataParser.H"
#include "S_SpLocalProxyMgr.H"
#include "SpExecute.H"

class O_SpLocalProxyMgr : public SpSimObjMgr {

  private:

    SpDataParser *ProxyManParser;
    S_SpLocalProxyMgr *LocalProxyMan;

    void terminate(double /*tend*/);

  protected:

  public:

/*
** Methods that SPEEDES calls
*/

    O_SpLocalProxyMgr();
    SpDataParser *GetProxyManParser() {return ProxyManParser;}

};

DEFINE_OBJECT_MANAGER(LOCAL_PROXYMAN, O_SpLocalProxyMgr);

typedef O_SpLocalProxyMgr O_LOCAL_PROXYMAN;

#endif
