// SpFreeDynAttributes.H

#ifndef FreeDynamicAttributes_Object
#define FreeDynamicAttributes_Object

#include "free_list.H"

enum {

// Dynamic logicals

  DYNAMIC_LOGICAL_CONSTANT_ID,

// Dynamic integers

  DYNAMIC_INT_CONSTANT_ID,

// Dynamic floats

  DYNAMIC_FLOAT_CONSTANT_ID,
  DYNAMIC_POLY_1_ID,
  DYNAMIC_POLY_2_ID,
  DYNAMIC_POLY_3_ID,
  DYNAMIC_POLY_4_ID,
  DYNAMIC_POLY_5_ID,
  DYNAMIC_POLY_6_ID,
  DYNAMIC_POLY_7_ID,
  DYNAMIC_POLY_8_ID,
  DYNAMIC_POLY_9_ID,
  DYNAMIC_POLY_10_ID,

  DYNAMIC_SPLINE_3_ID,
  DYNAMIC_SPLINE_6_ID,

  DYNAMIC_COMPLEX_EXPONENTIAL_ID,
  DYNAMIC_EXPONENTIAL_ID,
  DYNAMIC_EXTRAPOLATE_ID,

// Dynamic Positions

  SPLINE3_MOTION_ID,
  SPLINE6_MOTION_ID,

  POLY_1_MOTION_ID,
  POLY_2_MOTION_ID,
  POLY_3_MOTION_ID,
  POLY_4_MOTION_ID,
  POLY_5_MOTION_ID,
  POLY_6_MOTION_ID,
  POLY_7_MOTION_ID,
  POLY_8_MOTION_ID,
  POLY_9_MOTION_ID,
  POLY_10_MOTION_ID,

  GREAT_CIRCLE_ID,
  RHUMB_LINE_ID,
  CIRCULAR_ORBIT_ID,
  CONSTANT_MOTION_ID,
  LOITER_MOTION_ID,
  EXTRAPOLATE_MOTION_ID,

  N_FREE_LIST
};

#define DYNAMIC_POLY_0_ID DYNAMIC_FLOAT_CONSTANT_ID

class SpFreeDynAttributes : public C_FREE_LIST {
  private:
  protected:
  public:
    SpFreeDynAttributes();
};

typedef SpFreeDynAttributes FREE_DYNAMIC_ATTRIBUTES;

#endif
