// SpPlugInProxy.C

#include "SpExecute.H"

#include "O_SpLocalProxyMgr.H"
#include "E_SpTouchProxy.H"
#include "E_SpScheduleUpdate.H"
#include "E_SpReflectAttributes.H"
#include "E_SpReflectTwoWayAttributes.H"
#include "E_SpDeliverProxyPtr.H"
#include "E_SpDeliverProxy.H"
#include "E_SpBroadcastProxy.H"
#include "E_SpSubscribe.H"
#include "E_SpMasterSimObjMgrUnsubscribe.H"
#include "E_SpReflectAttributesData.H"

#include "SpPlugInDM.H"

void PlugInProxy()
{
   PLUG_IN_OBJECT_MANAGER(LOCAL_PROXYMAN);
   PLUG_IN_EVENT(TOUCH_PROXY);
   PLUG_IN_EVENT(SCHEDULE_UPDATE);
   PLUG_IN_EVENT(DELIVER_PROXY);
   PLUG_IN_EVENT(BROADCAST_PROXY);
   PLUG_IN_EVENT(SP_SUBSCRIBE);
   PLUG_IN_EVENT(UNSUBSCRIBE);
   PLUG_IN_EVENT(REFLECT_ATTRIBUTES);
   PLUG_IN_EVENT(REFLECT_TWO_WAY_ATTRIBUTES);
   PLUG_IN_EVENT(DELIVER_PROXY_PTR);
   PLUG_IN_EVENT(REFLECT_ATTRIBUTES_DATA);

   PlugInDM();
}

// END ProxyPlugIn code

