// SpPlugInHLA.C

#include "SpExecute.H"
#include "SpEndianNature.H"

/*
** SpSimObjMgrs
*/

#include "O_SpFedGhost.H"
//int SpFedGhost;

//#include "O_SpFedObjGhost.H"
//int SpFedObjGhost;

extern void PlugInProxy();

/*
** SpEvents
*/


/*
** RB/PO plug ins
*/

void RB_Register_S_SpFedGhost();
void RB_Register_SpSimTime();
void RB_Register_SpGridLookupOutput();
void Sp_Register_SpDDMDoubleDimension();
void Sp_Register_SpDDMEnumDimension();
void Sp_Register_SpDDMEnum();
void RB_Register_SpSubscribeGrid();
void RB_Register_SpPublishGrid();
void RB_Register_SpDDMGrid();
void RB_Register_SpDDMRegion();
void RB_Register_SpPublishRegion();
void RB_Register_SpSubscribeRegion();
void RB_Register_SpPublishRoutingSpace();
void RB_Register_SpPublishTheaterSpace();
void RB_Register_SpSubscribeRoutingSpace();
void RB_Register_SpSubscribeProxy();
void RB_Register_SpSubscribeTheaterSpace();
void RB_Register_F_SpProxyListItem();//
void RB_Register_F_SpSimObjRef();//
void RB_Register_SpProxyObjHandle();//
void RB_Register_CLASS_GATE_ITEM();//
void RB_Register_RB_UpdateXqueue();//
void RB_Register_SpSubscriberHandle();//


//int CoordinateTime;


void PlugInHLA() {
  SpEndianNature::DetermineEndianNature();
  RB_Register_F_SpProxyListItem();//
  RB_Register_F_SpSimObjRef();//
  RB_Register_SpProxyObjHandle();//
  RB_Register_S_SpFedGhost();
  RB_Register_SpSimTime();
  RB_Register_SpGridLookupOutput();
  Sp_Register_SpDDMDoubleDimension();
  Sp_Register_SpDDMEnumDimension();
  Sp_Register_SpDDMEnum();
  RB_Register_SpSubscribeGrid();
  RB_Register_SpPublishGrid();
  RB_Register_SpDDMGrid();
  RB_Register_SpDDMRegion();
  RB_Register_SpPublishRegion();
  RB_Register_SpSubscribeRegion();
  RB_Register_SpPublishRoutingSpace();
  RB_Register_SpPublishTheaterSpace();
  RB_Register_SpSubscribeRoutingSpace();
  RB_Register_SpSubscribeProxy();
  RB_Register_SpSubscribeTheaterSpace();
  RB_Register_CLASS_GATE_ITEM();//
  RB_Register_RB_UpdateXqueue();//
  RB_Register_SpSubscriberHandle();//

   PLUG_IN_OBJECT_MANAGER(SpFedGhost);
//   PLUG_IN_OBJECT_MANAGER(SpFedObjGhost);

   PLUG_IN_EVENT(CoordinateTime);

   PlugInProxy();
}
