// SpPause.C file

#include "SpIostream.H"
#include "SpFstream.H"
#include "SpStrstream.H"
#include "SpIomanip.H"
#include "SpStdlib.H"
#include "SpEmHostUser.H"

/*
*****************************************************************************
* Pause tells SPEEDES to pause (i.e., not advance gvt). A Resume allows gvt
* to once again advance.
*****************************************************************************
*/

int main(int argc, char **argv) {
  SpEmHostUser EmHostUser;

  if (argc > 3) {
    cout << "Error, Pause works with zero, one, or two arguments" << endl;
    cout << "Pause [NameOfPause] [TimeOfPause]" << endl;
  }

  if (argc == 1) {
    EmHostUser.Pause();
  }else{
    if (argc == 2) {
      EmHostUser.Pause(argv[1]);
    }else{
      EmHostUser.Pause(argv[1], atof(argv[2]));
    }
  }

  return 0;
}
