// E_SpMonitor.H header file

#ifndef monitor_object
#define monitor_object

#include "SpEvent.H"
#include "excon.H"
#include "M_SpMonitor.H"
#include "SpExecute.H"

/************************************************************************
*	monitor object 							*
************************************************************************/
class E_SpMonitor : public SpEvent {

  private:

    int connect;
    int toggle;
    int exid;
    int flag;
    int proc_flag;

    C_EXCON *excon;

    static int done;
    static int MONITOR;

  protected:

  public:

    E_SpMonitor();
    virtual void init(SpMsg *);
    virtual void exchange();
    virtual void temp_process();
    virtual void perm_process();

};

DEFINE_EVENT(MONITOR, E_SpMonitor, M_SpMonitor, 10);

typedef E_SpMonitor C_MONITOR;

#endif
