// E_SpPause.H header file

#ifndef pause_object
#define pause_object

#include "SpEvent.H"
#include "M_SpPause.H"
#include "SpExecute.H"

/************************************************************************
*	pause object 							*
************************************************************************/
class E_SpPause : public SpEvent {

  private:

    int toggle;
    C_ITEM *item;
    int sockid;
    int PauseFlag;

  protected:

  public:

    E_SpPause();
    virtual void init(SpMsg *);
    virtual void temp_process();
    virtual void exchange();
    virtual void perm_process();
    virtual void cleanup();

};

DEFINE_EVENT(PAUSE, E_SpPause, M_SpPause, 10);

typedef E_SpPause C_PAUSE;

#endif
