// E_SpQuery.C method file

#include "SpStdio.H"
#include "SpTime.H"

#include "E_SpQuery.H"
#include "SpHostUser.H"
#include "SpNameValueList.H"
#include "host_user.H"

extern SpHostUser *HostUser;

/************************************************************************
* E_SpQuery : construct a query object					*
************************************************************************/
E_SpQuery::E_SpQuery() {

}

/************************************************************************
* temp_process : temporarily process event				*
************************************************************************/
void E_SpQuery::temp_process() {
  SpNameValueList NameValueList(20);

  M_SpQuery *query_mess = (M_SpQuery *)MESSAGE;
  int ExternalId = query_mess->ExternalId;

  char *queryName = (char *)&query_mess[1];

  if ((int)strlen(queryName) + 1 < query_mess->bytes) {
    cout << "Query Object Name = " << queryName << endl;
    queryName += strlen(queryName) + 1;
  }

  cout << "Query Name = " << queryName << endl;

  if (strlen(queryName)) {
    SIMOBJ->NamedQuery(time_tag, NameValueList, queryName);
  }else{
    SIMOBJ->query(time_tag, NameValueList);
  }

  HostUser->QueryReply(&NameValueList, ExternalId);

  cout << "<QUERY> at time " << time_tag << endl;
  NameValueList.Print();

}

/************************************************************************
* perm_process : permanently process event				*
************************************************************************/
void E_SpQuery::perm_process() {

}
