#include "E_SpInitial.H"

   E_SpInitial::E_SpInitial() {

      GLOBAL_ID = 0;
      
      cout << "Creating initial event" << endl;
      MESSAGE = (SpMsg *) (new char[sizeof(SpMsg) + sizeof(int)]);

      set_from_SpComm(); // i.e., this message should not be reused by SPEEDES
      
      MESSAGE->time_tag.SetTime(-1.0e20);
      MESSAGE->time_tag.SetPriority1(0x80000000);
      MESSAGE->time_tag.SetPriority2(0x80000000);
      MESSAGE->time_tag.SetCounter(0x80000000);
      MESSAGE->time_tag.SetUniqueId(0x80000000);

      MESSAGE->evtype = -1;

      MESSAGE->obtype = -1;
      MESSAGE->objid = -1;
      MESSAGE->bytes = sizeof(int);

      MESSAGE->EarliestStartTime = 0.0;

      TIME_TAG = MESSAGE->TIME_TAG;
      OBJECT_TYPE = -1;
      LOCAL_ID = -1;
      EVENT_TYPE = -1;

    }
