// SpEventStatus.H header file

#ifndef objevt_object
#define objevt_object

#include "dbl_item.H"

/************************************************************************
*	objevt object 							*
************************************************************************/
class SpEventStatus : public C_DBL_ITEM {

  private:

    int processed;		// flag set if event has been processed
    int valid;			// flag set if event is valid
    void *event;		// pointer to the real event

  protected:

  public:

    SpEventStatus();

    void set_processed() {processed = 1;}
    void reset_processed() {processed = 0;}
    int get_processed() {return processed;}

    void set_valid() {valid = 1;}
    void reset_valid() {valid = 0;}
    int get_valid() {return valid;}

    void set_event(void *e) {event = e;}
    void *get_event();

};


typedef SpEventStatus C_OBJEVT;

#endif
