// SpNodeId.H header file

#ifndef node_id_object
#define node_id_object

#include "SpString.H"
#include "qitem.H"

/************************************************************************
*	node_id object 							*
************************************************************************/
class SpNodeId : public C_ITEM {

  private:

    int socket;		// socket for object
    int type;		// object type
    int local_id;	// local id
    char name[40];	// character name of object

  protected:

  public:

    SpNodeId() {;}

    void set_socket(int s) {socket = s;}
    int get_socket() {return socket;}

    void set_type(int t) {type = t;}
    int get_type() {return type;}

    void set_local_id(int l) {local_id = l;}
    int get_local_id() {return local_id;}

    void set_name(char *n) {strcpy(name,n);}
    char *get_name() {return name;}
    int check_name(char *n) {return !strcmp(name,n);}

};


typedef SpNodeId C_NODE_ID;

#endif
