// O_SpBlockDecomp.H header file

#ifndef O_SpBlockDecompGate
#define O_SpBlockDecompGate

#include "O_SpBuiltIn.H"

//-----------------------------------------------------------------------------
// O_SpBlockDecomp class definition
//-----------------------------------------------------------------------------
class O_SpBlockDecomp : public O_SpBuiltIn {

  private:

  protected:
     
  public:

    O_SpBlockDecomp();

    void CreateSimObjs(int numObjs, int replication=1);
    void CreateSimObjs(char *parFileName, int replication=1);

    virtual void DecompInfo(int numTotalObjs,
			    int numClusterNodes,
			    int clusterNode,
			    int &firstClusterNode,
			    int &numLoc,
			    int &offset);

    virtual SpObjHandle GetObjHandle(int numId);
    virtual SpObjHandle GetObjHandle(char *simObjName) {
      return O_SpBuiltIn::GetObjHandle(simObjName);
    }

    virtual SpSimObj *CreateSimObj()=0;
    virtual char *GetSimObjMgrName()=0;
    virtual char *GetClusterName() {return NULL;}

};

#endif
