#ifndef SpAltAbortChange_Header
#define SpAltAbortChange_Header

#include "SpStdlib.H"

#include "SpAlt.H"

/**********************************************************************
 * 
 **********************************************************************/
class SpAltAbortChange : public SpAlt {
public:
  void Alter();
  virtual void Cleanup();
  virtual void Rollback();
private:
  int RolledBack;
};

/**********************************************************************
 * 
 **********************************************************************/
inline
void
SpAltAbortChange::Alter() {
  RolledBack = 0;
}

/**********************************************************************
 * 
 **********************************************************************/
inline
void
SpAltAbortChange::Cleanup() {
  if( ! RolledBack ) {
    abort();
  }
}

/**********************************************************************
 * 
 **********************************************************************/
inline
void
SpAltAbortChange::Rollback() {
  RolledBack = ! RolledBack;
}

DEFINE_MEMPOOL( SpAltAbortChange, ALT_CHUNK_SIZE )

#endif

