#ifndef SpAltDoubleDelta_Header
#define SpAltDoubleDelta_Header

#include "SpAlt.H"

/**********************************************************************
 * 
 **********************************************************************/
class SpAltDoubleDelta : public SpAlt {
public:
  void Alter( double* valuePtr, double delta );
  virtual void Rollback();
private:
  double* ValuePtr;
  double Delta;
};

/**********************************************************************
 * 
 **********************************************************************/
inline
void
SpAltDoubleDelta::Alter( double* valuePtr, double delta ) {
  ValuePtr = valuePtr;
  Delta = delta;
}

/**********************************************************************
 * 
 **********************************************************************/
inline
void
SpAltDoubleDelta::Rollback() {
  Delta = - Delta;
  *ValuePtr += Delta;
}

DEFINE_MEMPOOL( SpAltDoubleDelta, ALT_CHUNK_SIZE )

#endif

