#ifndef SpAltDoubleValue_Header
#define SpAltDoubleValue_Header

#include "SpAlt.H"

/**********************************************************************
 * 
 **********************************************************************/
class SpAltDoubleValue : public SpAlt {
public:
  void Alter( double* valuePtr );
  virtual void Rollback();
private:
  double* ValuePtr;
  double Value;
};

/**********************************************************************
 * 
 **********************************************************************/
inline
void
SpAltDoubleValue::Alter( double* valuePtr ) {
  ValuePtr = valuePtr;
  Value = *ValuePtr;
}

/**********************************************************************
 * 
 **********************************************************************/
inline
void
SpAltDoubleValue::Rollback() {
  double temp;

  temp = Value;
  Value = *ValuePtr;
  *ValuePtr = temp;
}

DEFINE_MEMPOOL( SpAltDoubleValue, ALT_CHUNK_SIZE )

#endif

