#ifndef SpAltIntDelta_Header
#define SpAltIntDelta_Header

#include "SpAlt.H"

/**********************************************************************
 * 
 **********************************************************************/
class SpAltIntDelta : public SpAlt {
public:
  void Alter( int* valuePtr, int delta );
  virtual void Rollback();
private:
  int* ValuePtr;
  int Delta;
};

/**********************************************************************
 * 
 **********************************************************************/
inline
void
SpAltIntDelta::Alter( int* valuePtr, int delta ) {
  ValuePtr = valuePtr;
  Delta = delta;
}

/**********************************************************************
 * 
 **********************************************************************/
inline
void
SpAltIntDelta::Rollback() {
  Delta = - Delta;
  *ValuePtr += Delta;
}

DEFINE_MEMPOOL( SpAltIntDelta, ALT_CHUNK_SIZE )

#endif

