#ifndef SpAltVoidPtrValue_Header
#define SpAltVoidPtrValue_Header

#include "SpAlt.H"

/**********************************************************************
 * 
 **********************************************************************/
class SpAltVoidPtrValue : public SpAlt {
public:
  void Alter( void** valuePtr );
  virtual void Rollback();
private:
  void** ValuePtr;
  void* Value;
};

/**********************************************************************
 * 
 **********************************************************************/
inline
void
SpAltVoidPtrValue::Alter( void** valuePtr ) {
  ValuePtr = valuePtr;
  Value = *ValuePtr;
}

/**********************************************************************
 * 
 **********************************************************************/
inline
void
SpAltVoidPtrValue::Rollback() {
  void* temp;

  temp = Value;
  Value = *ValuePtr;
  *ValuePtr = temp;
}

DEFINE_MEMPOOL( SpAltVoidPtrValue, ALT_CHUNK_SIZE )

#endif

