// SpEventHandlerMethod.C source file

#include "SpEventHandlerMethod.H"
#include "RB_SpDefineClass.H"
RB_DEFINE_CLASS(SpEventHandlerMethod);

SpEventHandlerMethod::SpEventHandlerMethod
   (void *obj,
    EVENT_HANDLER_METHOD_FNC_PTR met
    ): object(obj), method(met) {}

void SpEventHandlerMethod::Process(char *eventName, SpSimTime &timeTag,
					   char *data, int dataBytes,
					   int externalId)
{
   method (object, eventName, timeTag, data, dataBytes, externalId);
}
void RB_Register_SpEventHandlerMethod()
{
  RB_REGISTER_CLASS_SpEventHandlerMethod();
}


