// M_SpProc.H header file (process model event messages inherit from this)

#ifndef M_SpProc_Class
#define M_SpProc_Class

#include "sq_item.H"
#include "SpMsg.H"
#include "SpProcStackElement.H"
#include "SpNetTypes.H"

struct M_SpProc: public SpMsg
{
   NET_INT type;                // enum for type of process model message
                            // (see SpProcStackElement.H)
   Reentry_T reentry;       // for ASK or FUTURE_ASK returns, else not filled in
   SpProcStackElement *reentryLV; // for all reentries, to recover local variables
  void *_alignment_padding;
};

typedef M_SpProc ReentryMsg;

#endif
