// SubType.H header file defines the class that names a subscription type.
// SUB_TYPE items go into the simobj EXTSUBS list.

#ifndef SUB_TYPE_OBJ
#define SUB_TYPE_OBJ

#include "sq_item.H"
#include "SpString.H"
#include "SpStdlib.H"

class SUB_TYPE : public C_SQ_ITEM {

  private:

  protected:

    char *Type;
    int ExternalId;

  public:

    SUB_TYPE(): Type(NULL), ExternalId(-1) {}

    SUB_TYPE(char *type, int externalId);

    ~SUB_TYPE();

    void SetType(char *type);

    char *GetType() {return Type;}

    int Compare(char *type, int externalId);

    int Compare(char *type);

    char *GetName() {return Type;}

    int GetExternalId() {return ExternalId;}
    void SetExternalId(int externalId) {ExternalId = externalId;}

};

#endif
