// qitem.H header file

#ifndef bfr_object
#define bfr_object

#include "qitem.H"

/************************************************************************
*	buffer object							*
************************************************************************/
class C_BFR : public C_ITEM {

  private:

    char *buff;
    int nbytes;
    int start;

  protected:

  public:

    C_BFR(char *b, int n) {buff = b; nbytes = n; start = 0;}
    char *get_start_buff() {return &buff[start];}
    int get_nbytes_left() {return nbytes-start;}
    void update_start(int s) {start += s;}
    int get_nbytes() {return nbytes;}
    char *get_buffer() {return buff;}

};

#endif

