// genlogical.C method file

#include "SpStdio.H"
#include "genlogical.H"

/************************************************************************
* GENLOGICAL : GENLOGICAL constructor					*
************************************************************************/
C_GENLOGICAL::C_GENLOGICAL(char *string, char *val) {

  setname(string);

  if (!strcmp("T",val)) {
    id = TRUE;
  }else{
    if (!strcmp("F",val)) {
      id = FALSE;
    }else{
      fprintf(stderr,"Error, logical %s is not T or F\n",string);
    }
  }


}


/************************************************************************
* printfile : print to a file						*
************************************************************************/
void C_GENLOGICAL::printfile(FILE *fp) {

  if (id == TRUE) {
    fprintf(fp,"  logical %s T\n",name);
  }else{
    fprintf(fp,"  logical %s F\n",name);
  }

}
