#include "query_data.H"

void C_QUERY_DATA::print()
{
  if (value < -1.0e19) {
    fprintf(stderr,"%-40s\n", name);
  }else{
    fprintf(stderr,"%-40s   %g\n", name, value.GetTime()); //GEB2
  }
}


void C_QUERY_DATA::set_data(char *n) {
  strcpy(name, n);
  value = -1.0e20;
}

void C_QUERY_DATA::set_data(char *n, SpSimTime& tt) {
  strcpy(name, n);
  value = tt;
}

void C_QUERY_DATA::set_data(char *n, int v) {
  strcpy(name, n);
  value.SetTime(double(v));
}

void C_QUERY_DATA::set_data(char *n, double v) {
  strcpy(name, n);
  value.SetTime(v);
}

void C_QUERY_DATA::set_data(char *n, double v, int P1) {
  strcpy(name, n);
  value.SetTime(v);
  value.SetPriority1(P1);
}

void C_QUERY_DATA::set_data(char *n, double v, int P1, int P2) {
  strcpy(name, n);
  value.SetTime(v);
  value.SetPriority1(P1);
  value.SetPriority2(P2);
}
