#include "SpAltHiGridChange.H"

PLUGIN_MEMPOOL( SpAltHiGridChange )

void SpAltHiGridChange::Rollback()
{
#ifdef ERROR_CHECK
  assert(RBHiGrid->get_Ndimensions() == MainPubSubItem->GetNdimensions());
#endif
  
  if (Remove_p)
  {
#ifdef ERROR_CHECK
    void *h;
    h =
#endif
      RBHiGrid->SpHiGrid::Remove(PubOrSub, MainPubSubItem->GetUniqueKey());
    Remove_p = 0;

#ifdef ERROR_CHECK
    assert(h == MainPubSubItem);
    h = RBHiGrid->SpHiGrid::Remove(PubOrSub, MainPubSubItem->GetUniqueKey());
    assert(h == NULL);
#endif
  }
  else
  {
#ifdef ERROR_CHECK
    const int added_p = 
#endif
    RBHiGrid->SpHiGrid::Add(PubOrSub, MainPubSubItem);
    Remove_p = 1;

#ifdef ERROR_CHECK
    if (!added_p) {
      cout << "Could not add " << PubOrSub << ": "
	   << *MainPubSubItem << " to SpRbItem_HiGrid " << *RBHiGrid << endl;
      assert(0);
    }
#endif
  }
}
