#ifndef SpAltTreeChange_Header
#define SpAltTreeChange_Header

#include "RBSpKey.H"

#include "SpAlt.H"

class RB_SpBinaryTree;

/**********************************************************************
 * 
 **********************************************************************/
class SpAltTreeChange : public SpAlt {
public:
  void Alter( RB_SpBinaryTree* tree,
	      void* item,
	      RBSpKey* key,
	      int tieBreaker,
	      int insert );
  virtual void Cleanup();
  virtual void Rollback();
private:
  RB_SpBinaryTree* Tree;
  void* Item;
  RBSpKey* Key;
  int TieBreaker;
  int Insert;
};


DEFINE_MEMPOOL( SpAltTreeChange, ALT_CHUNK_SIZE )

#endif

