// SpPubSubRecord.H header file

#ifndef PubSubRecord_object
#define PubSubRecord_object

#include "qitem.H"
#include "SpHiGrid.H"

/*
** This class provides the items that go in the hierarchical grids hash
** table. This represents both publishers and subscribers.
*/

class SpPubSubRecord : public C_ITEM {

  private:

    SpHiGrid *HiGrid;

  protected:

  public:

    void init(int gid, SpHiGrid *h) {
      id = gid;
      HiGrid = h;
    }

    void set_global_id(int gid) {id = gid;}
    int get_global_id() {return id;}

    void set_HiGrid(SpHiGrid *h) {HiGrid = h;}
    SpHiGrid *get_HiGrid() {return HiGrid;}

};

typedef SpPubSubRecord PUBSUB_RECORD;

#endif
