#define WARNING_REMOVAL_2(var)                               _M_C_ \
   /* Setting var to NULL and then to itself */              _M_C_ \
   /* avoids compiler warnings about it not being used. */   _M_C_ \
   var = NULL;                                               _M_C_ \
   var = var;

#define WARNING_REMOVAL_label_END                            _M_C_ \
   /* This goto avoids a compiler warning about */           _M_C_ \
   /* the label not being used.; */                          _M_C_ \
   goto label_END;

#define WARNING_REMOVAL(name)                                      \
static inline void _warning_removal_function_##name() {            \
  /* These warning removal functions should never be */            \
  /* called.  Their purpose is to get rid of warnings */           \
  void *v = _warning_removal_function_##name;                      \
  v = &name;                                                       \
                                                                   \
  /* This "v = v" line gets rid of the warning: */                 \
  /* "variable "v"  was set but never used" */                     \
  v = v;                                                           \
}
