#ifndef __RB_SpRandom__
#define __RB_SpRandom__

#include "RB_Types.H"
#include "SpRandom.H"

class RB_SpRandom : public SpUniformRandBits {

  private:

    RB_int Seed;

  protected:

  public:

    RB_SpRandom(int seed=12345) {Seed = seed;}

    virtual int GetSeed() {return Seed;}
    virtual void SetSeed(int seed) {Seed = seed;}
    virtual void ExchangeSeed(int &seed) {Seed.Exchange(seed);}
    virtual operator int () {return Seed;}

};

class RB_SpFastRandom : public SpUniformLCG {

  private:

    RB_int Seed;

  protected:
  public:

    RB_SpFastRandom(int seed=1) {Seed = seed;}

    virtual int GetSeed() {return Seed;}
    virtual void SetSeed(int seed) {Seed = seed;}
    virtual void ExchangeSeed(int &seed) {Seed.Exchange(seed);}
    virtual operator int () {return Seed;}

};

#endif
