#ifndef _SpParserFlexLexer_H_
#define _SpParserFlexLexer_H_
#ifdef __GNU__ 
#pragma interface
#endif // #ifdef __GNUC__
#ifndef __DONT_INCLUDE_FLEXLEXER__
#include <FlexLexer.h>
#endif // #ifndef __DONT_INCLUDE_FLEXLEXER__

#ifndef __DONT_INCLUDE_y_tab_h__
#include "SpParser.tab.h"
#endif // #ifndef __DONT_INCLUDE_y_tab_h__

#ifndef __LEAVE_OUT_SpParserFlexLexer_CLASS__
class SpParserFlexLexer: public yyFlexLexer
{
public:
  SpParserFlexLexer(istream *input);
#ifndef YY_MAIN
  int yylex(YYSTYPE *lvalp,void *commondata);
  int yylex() {return 0;}
#else
  int yylex();
#endif


private:
  // Tells whether the state of the scanner was previously SINCLUDE
  bool in_include;
  // Remove backslashes preceding character c

};
#endif // #ifndef __LEAVE_OUT_SpParserFlexLexer_CLASS__

#endif // #ifndef _SpParserFlexLexer_H_
