// MovingEntityProxy.H header file

#ifndef MovingEntityProxy_Object
#define MovingEntityProxy_Object

#include "EntityProxy.H"

class MOVING_ENTITY_PROXY : public ENTITY_PROXY {
  private:
    static int RefPosition;
  protected:
  public:
    MOVING_ENTITY_PROXY() {
      RefPosition = GetReference("Position", "MOVING_ENTITY");
    }

    virtual void Get_Position(double X[3],
			      int PT, double Time) {
      GetDynamicPosition(RefPosition, X, PT, Time);
    }

    virtual void Get_Position(double X[3], double V[3],
			      int PT, double Time) {
      GetDynamicPosition(RefPosition, X, V, PT, Time);
    }

    virtual void Get_Position(double X[3], double V[3], double A[3],
			      int PT, double Time) {
      GetDynamicPosition(RefPosition, X, V, A, PT, Time);
    }

    virtual char *WhoAmI() {return "MOVING_ENTITY";}
};

#endif
