// O_DSP.H header file

#ifndef O_DSP_Object
#define O_DSP_Object

#include "O_PARAMETERS.H"
#include "DataParser.H"
#include "S_DSP.H"

/******************************************************************************
* O_DSP class definition                                                      *
******************************************************************************/
class O_DSP : public O_PARAMETERS {

  private:

  protected:
    S_DSP *LocalObjects;
    DATA_PARSER *Parser;

  public:

// <BEGIN: Define constructors>
    O_DSP();
// <END:   Define constructors>

// <BEGIN: Define public methods>
// <END:   Define public methods>

// <BEGIN: Define public virtual methods>
    virtual void init_events();
    virtual void terminate(double tend);
// <END:   Define public virtual methods>

};

DEFINE_OBJECT_MANAGER(DSP, O_DSP);

#endif

extern O_DSP *DSP_OBJECT_MANAGER;
