// O_GROUND_RADAR.H header file

#ifndef O_GROUND_RADAR_Object
#define O_GROUND_RADAR_Object

#include "O_PARAMETERS.H"
#include "DataParser.H"
#include "S_GROUND_RADAR.H"

/******************************************************************************
* O_GROUND_RADAR class definition                                             *
******************************************************************************/
class O_GROUND_RADAR : public O_PARAMETERS {

  private:

  protected:
    S_GROUND_RADAR *LocalObjects;
    DATA_PARSER *Parser;

  public:

// <BEGIN: Define constructors>
    O_GROUND_RADAR();
// <END:   Define constructors>

// <BEGIN: Define public methods>
// <END:   Define public methods>

// <BEGIN: Define public virtual methods>
    virtual void init_events();
    virtual void terminate(double tend);
// <END:   Define public virtual methods>

};

DEFINE_OBJECT_MANAGER(GROUND_RADAR, O_GROUND_RADAR);

#endif

extern O_GROUND_RADAR *GROUND_RADAR_OBJECT_MANAGER;
