// O_PARAMETERS.C source file

#include "O_PARAMETERS.H"

// <BEGIN: Initialize static variables>
DATA_PARSER *O_PARAMETERS::ParmParser = NULL;
int O_PARAMETERS::Replication = 0;
// <END:   Initialize static variables>

// <BEGIN: Constructor>
/******************************************************************************
* O_PARAMETERS constructor                                                    *
******************************************************************************/
O_PARAMETERS::O_PARAMETERS() {
  if (ParmParser == NULL) {
    ParmParser = new DATA_PARSER("Parameters.par");
    ParmParser->GoTo("Parameters", NULL);
    Replication = ParmParser->GetInt("Replication");
    cout << "Executing Replication " << Replication << endl;
  }

}
// <END:   Constructor>

