// O_RanMot.H header file

#ifndef O_RanMot_object
#define O_RanMot_object

#include "objman.H"
#include "DataParser.H"
#include "S_RanMot.H"

/************************************************************************
*	Random Motion Manager 				  		*
************************************************************************/
class O_RANDOM_MOTION : public C_OBJMAN {

  private:

    DATA_PARSER *RandomMotionParser;
    S_RANDOM_MOTION *RandomMotion;

  protected:

  public:

/*
** Methods that SPEEDES calls
*/

    O_RANDOM_MOTION();
    virtual void init_events();
    virtual void terminate(double tend);

};

DEFINE_OBJECT_MANAGER(RANDOM_MOTION, O_RANDOM_MOTION);

#endif
