// PlugInBmdSim.C

#include "Speedes.H"

#include "O_ScenEl.H"
#include "O_SBIRS.H"
#include "O_RanMot.H"
#include "O_GROUND_RADAR.H"
#include "O_DSP.H"

#include "E_ScenEl_event_CMS.H"
#include "E_SIMOBJ_event_HELLO_WORLD.H"
#include "E_RANDOM_MOTION_event_TEST_RANMOT.H"
#include "E_HLA_event_SCAN.H"

void PlugInBmdSim()
{
   PLUG_IN_OBJECT_MANAGER(ScenEl);
   PLUG_IN_OBJECT_MANAGER(SBIRS);
   PLUG_IN_OBJECT_MANAGER(RANDOM_MOTION);
   PLUG_IN_OBJECT_MANAGER(GROUND_RADAR);
   PLUG_IN_OBJECT_MANAGER(DSP);

   PLUG_IN_EVENT(CMS);
   PLUG_IN_EVENT(HELLO_WORLD);
   PLUG_IN_EVENT(TEST_RANMOT);
   PLUG_IN_EVENT(SCAN);
}
