// RadarDiscoverObject.H event handler header file

#ifndef H_RADAR_DISC_OBJ
#define H_RADAR_DISC_OBJ

#include "EventHandler.H"

class RADAR_COMPONENT;
class H_RADAR_DISCOVER_OBJECT : public EVENT_HANDLER {

  private:

  protected:

    RADAR_COMPONENT *RadarComponent;

  public:

    H_RADAR_DISCOVER_OBJECT() {;}

    void SetRadarComponent(RADAR_COMPONENT *radarComponent) {
      RadarComponent = radarComponent;
    }

    virtual void Process(char *eventName, SIMTIME &timeTag,
                         char *data, int dataBytes,
			 int externalId);

};

#endif
