// S_Entity.C source file

#include "S_Entity.H"
#include "SensorComponent.H"

double 
S_ENTITY::GetMaxSensorRangeNmi(void){
  SENSOR_COMPONENT *sensor;
  double max_range = 0.0;

  sensor = (SENSOR_COMPONENT *) SensorComponents.GetFirstElement();
  while (sensor){
    if (max_range<sensor->GetRange()) max_range = sensor->GetRange();
    sensor = (SENSOR_COMPONENT *) SensorComponents.GetNextElement();
  }
  return (Kilometers_to_NauticalMiles(max_range));
}
