// S_MovingEntity.H header file

#ifndef S_MOVING_ENTITY_OBJ
#define S_MOVING_ENTITY_OBJ

#include "S_Entity.H"

class S_MOVING_ENTITY : public S_ENTITY {

  private:

  protected:

    DYNAMIC_POSITION_ATTRIBUTE Position;
    FLOAT_ATTRIBUTE Vmax;

  public:

    S_MOVING_ENTITY(char *ProxyType) : S_ENTITY(ProxyType) {
      DEFINE_ATTRIBUTE(Position, "Position");
      DEFINE_ATTRIBUTE(Vmax, "Vmax");
    }

    void SetVmax(double vmax) {Vmax = vmax;}
    double GetVmax() {return Vmax;}

};

#endif
