// S_RanMot.H header file

#ifndef S_RanMot_object
#define S_RanMot_object

#include "S_MovingEntity.H"
  
/************************************************************************
*	Random Motion Simulation Object			  		*
************************************************************************/
class S_RanMot : public S_MOVING_ENTITY {

  private:
    void InitDDM(DATA_PARSER *parser);
//    int num_leg;
    static int max_leg;
  public:

/*
** Methods that SPEEDES calls
*/

    S_RanMot();
    void InitParser(DATA_PARSER *parser);
    void InitEvents();
    virtual void terminate(double tend);

    virtual void NamedQuery(double t, NAME_VALUE_LIST &NameValueList,
                            char *queryName);


    double GetLookAheadHour(void);
    double GetMaxSpeedKnots(void);
    double GetMinExpansionNmi(void);
    double GetMinRescheduleTimeHour(void);
    void   GetPositionRadKm(double time, double &latRad, double &lonRad, double &altKm);

};

#endif
