// ScriptedMotionComponent.H header file

#ifndef SCRIPTED_MOTION_COMP_OBJ
#define SCRIPTED_MOTION_COMP_OBJ

#include "MotionComponent.H"
#include "H_ChangeScriptedMotion.H"
#include "DataParser.H"

class SCRIPTED_MOTION_COMPONENT : public MOTION_COMPONENT {

  private:

    double Vmax;

  protected:

    H_CHANGE_SCRIPTED_MOTION *ChangeScriptedMotion;

  public:

    SCRIPTED_MOTION_COMPONENT(DYNAMIC_POSITION_ATTRIBUTE *position,
			      DATA_PARSER *parser);

    double GetVmax() {return Vmax;}

};

#endif
