// appobj.H header file

#ifndef appobj_object
#define appobj_object

#include "simobj.H"

/************************************************************************
*	app object 							*
************************************************************************/
class C_APPOBJ : public C_SIMOBJ {

  private:

  protected:

    double compute_time;		// amount of time for computation
    double time;			// current simulation time

    int HYPER_node;			// my simulated node
    static int HYPER_n_nodes;		// number of simulated nodes

    C_XQUEUE message_queue;		// input message queue

  public:

    C_APPOBJ() {;}

    void set_HYPER_n_nodes(int nds) {HYPER_n_nodes = nds;}
    int get_HYPER_n_nodes() {return HYPER_n_nodes;}

    void set_HYPER_node(int nd) {HYPER_node = nd;}
    int get_HYPER_node() {return HYPER_node;}

    void set_compute_time(double t) {compute_time = t;}
    double get_compute_time() {return compute_time;}

    void set_time(double t) {time = t;}
    double get_time() {return time;}
    void exchange_time(double &t) {EXCHANGE(t,time);}

    C_XQUEUE *get_message_queue() {return &message_queue;}

};


#endif
