// parsman.H header file

#ifndef prsman_object
#define prsman_object

#include "objman.H"
#include "parser.H"

/************************************************************************
*	parsman object - manager for space objects covering the earth	*
************************************************************************/
class C_PARSMAN : public C_OBJMAN {

  private:

  protected:

    static int done;				// done flag for first time
    static C_PARSER *hypercube_parser;		// hypercube parser
    static C_PARSER *applications_parser;	// applications parser

  public:

    C_PARSMAN();

};


#endif
