// route.H header file

#ifndef route_object
#define route_object

#include "event.H"
#include "msg.H"
#include "route_mess.H"

/************************************************************************
*	route object 							*
************************************************************************/
class C_ROUTE : public C_EVENT {

  private:
    int busy;
    int seed;
    double time;

//...... lazy inputs

    int lazy_seed;
    C_MSG *lazy_msg;
    double lazy_time;
    double lazy_bandwidth;
    int lazy_nmess;

  protected:

  public:

    C_ROUTE();
    virtual void init(C_HEADER *header);
    virtual void temp_process();
    virtual void exchange();
    virtual int lazy();
    virtual void perm_process();
    virtual void cleanup();

};

DEFINE_EVENT(ROUTE, C_ROUTE, ROUTE_MESS, 10);

#endif
