// send.H header file

#ifndef send_object
#define send_object

#include "event.H"
#include "send_mess.H"

/************************************************************************
*	send object 							*
************************************************************************/
class C_SEND : public C_EVENT {

  private:
    int destination;
    int source;
    int application;
    int read_event;
    int priority;
    int dummy_bytes;

    int busy;

//...... lazy inputs

    int lazy_busy;

  protected:

  public:

    C_SEND();
    virtual void init(C_HEADER *header);
    virtual void temp_process();
    virtual void exchange();
    virtual int lazy();
    virtual void perm_process();
    virtual void cleanup();

};

DEFINE_EVENT(SEND, C_SEND, SEND_MESS, 10);

#endif
