// serve_event.H header file

#ifndef serve_event_object
#define serve_event_object

#include "event.H"
#include "serve_event_mess.H"

/************************************************************************
*	serve_event object 						*
************************************************************************/
class C_SERVE_EVENT : public C_EVENT {

  private:
    int seed;			// seed used by the event

// values for lazy cancellation

    int lazy_seed;
    double lazy_server_time;
    int lazy_n_served;
    double lazy_wait_time;

  protected:

  public:

    C_SERVE_EVENT();
    virtual void process();
    virtual void exchange();
    virtual int lazy();

};

DEFINE_EVENT(SERVE_EVENT, C_SERVE_EVENT, SERVE_EVENT_MESS, 10);

#endif
