// dummy_event.H header file

#ifndef DUMMY_EVENT_OBJECT_H
#define DUMMY_EVENT_OBJECT_H

#include "SpEvent.H"

/************************************************************************
*	dummy_event object 						*
************************************************************************/
class C_DUMMY_EVENT : public SpEvent {

  private:

    static int done;
    static int DUMMY_EVENT;
 
//...... data from the messages in init()

    double value1;
    double value2;

//...... exchange variables set in temp_process() and used by exchange()

    int seed;

//...... lazy inputs set in temp_process() and used by lazy()

    int lazy_seed;

  protected:

  public:

    C_DUMMY_EVENT();
    virtual void init(SpMsg *header);
    virtual void temp_process();
    virtual void exchange();
    virtual void perm_process();
    virtual void cleanup();
    virtual int lazy();

};


#endif
