#include "FreeObjectProxy.H"
#include "ShipProxy.H"
#include "RadarProxy.H"

enum {
  SHIP_PROXY_ID_ENUM,
  RADAR_PROXY_ID_ENUM,
  N_FREE_PROXYS
};

int SHIP_PROXY_ID  = SHIP_PROXY_ID_ENUM;
int RADAR_PROXY_ID = RADAR_PROXY_ID_ENUM;

void *new_ShipProxy(int n)    { return new ShipProxy[n];}
void *new_RadarProxy(int n)   { return new RadarProxy[n];}


FREE_OBJECT_PROXY::FREE_OBJECT_PROXY(int n) {

  set_ntypes(n);

/*
** Define free list objects
*/

  set_type("Ship",
           SHIP_PROXY_ID,
           new_ShipProxy,
           sizeof(ShipProxy),
           100);

  set_type("Radar",
           RADAR_PROXY_ID,
           new_RadarProxy,
           sizeof(RadarProxy),
           100);

}
