// S_DoTest.H header file

#ifndef S_DoTest_Object
#define S_DoTest_Object

#include "S_Regression.H"

/******************************************************************************
* S_DoTest class definition                                                   *
******************************************************************************/
class S_DoTest : public S_REGRESSION {

  private:

  protected:

    RB_int RB_Counter;
    int Counter;

    RB_int RB_EvilCounter;
    int EvilCounter;

    int LazyCounter;

  public:

    S_DoTest();

    virtual void DoTest(double time) = 0;

    int GetRB_Counter() {return RB_Counter;}
    void SetRB_Counter(int counter) {RB_Counter = counter;}
    void IncrementRB_Counter() {RB_Counter = RB_Counter + 1;}

    int GetCounter() {return Counter;}
    void SetCounter(int counter) {Counter = counter;}
    void IncrementCounter() {Counter = Counter + 1;}

    int GetRB_EvilCounter() {return RB_EvilCounter;}
    void SetRB_EvilCounter(int evilCounter) {RB_EvilCounter = evilCounter;}
    void IncrementRB_EvilCounter() {RB_EvilCounter = RB_EvilCounter + 1;}

    int GetEvilCounter() {return EvilCounter;}
    void SetEvilCounter(int evilCounter) {EvilCounter = evilCounter;}
    void IncrementEvilCounter() {EvilCounter = EvilCounter + 1;}

    int GetLazyCounter() {return LazyCounter;}
    void SetLazyCounter(int lazyCounter) {Counter = lazyCounter;}
    void IncrementLazyCounter(int amount) {LazyCounter = LazyCounter + amount;}

    virtual void terminate(double tend);

};

#endif
