// O_tank.C source file

#include "O_tank.H"
#include "TestClass.H"
#include "SpScheduleEvent.H"

DECLARE_0_ARG(test0); 
DECLARE_1_ARG(test1, int); 
DECLARE_2_ARG(test2, int, double); 
DECLARE_3_ARG(test3, TestClass, int, double); 
DECLARE_4_ARG(test4, TestClass, int, double, double); 
DECLARE_5_ARG(test5, int, int, int, int, int); 
DECLARE_6_ARG(test6, int, int, int, int, int, int); 
DECLARE_7_ARG(test7, int, int, int, int, int, int, int); 
DECLARE_8_ARG(test8, int, int, int, int, int, int, int, int); 
DECLARE_9_ARG(test9, int, int, int, int, int, int, int, int, int); 
DECLARE_10_ARG(test10, int, int, int, int, int, int, int, int, int, int); 
DECLARE_11_ARG(test11, int, int, int, int, int, int, int, int, int, int, int); 
DECLARE_12_ARG(test12, int, int, int, int, int, int, int, int, int, int, int,
	       int); 
DECLARE_13_ARG(test13, int, int, int, int, int, int, int, int, int, int, int,
	       int, int); 
DECLARE_14_ARG(test14, int, int, int, int, int, int, int, int, int, int, int,
	       int, int, int); 
DECLARE_15_ARG(test15, int, int, int, int, int, int, int, int, int, int, int,
	       int, int, int, int);
DECLARE_16_ARG(test16, int, int, int, int, int, int, int, int, int, int, int,
	       int, int, int, int, int);
DECLARE_17_ARG(test17, int, int, int, int, int, int, int, int, int, int, int,
	       int, int, int, int, int, int);
DECLARE_18_ARG(test18, int, int, int, int, int, int, int, int, int, int, int,
	       int, int, int, int, int, int, int);
DECLARE_19_ARG(test19, int, int, int, int, int, int, int, int, int, int, int,
	       int, int, int, int, int, int, int, int);
//DECLARE_20_ARG(test20,int, int, int, int, int, int, int, int, int, int, int,
//	       int, int, int, int, int, int, int, int, int);

O_tank *tank_OBJECT_MANAGER = NULL;

O_tank::O_tank(): Parser("tank.par")
{
  tank_OBJECT_MANAGER = this;
  CodeGenCardDeal(LocalObjects, new_S_tank, Parser, Replication);
}

void O_tank::schedEH (double time, char *ehName, int id_local)
{
   ScheduleEventHandler(time, ehName, 0, id_local, NODE);
}

void O_tank::init_events() {
   for (int i=0; i<N_LOC; i++)
   {
      SpObjectHandle *objectHandle;
      
      schedEH(0+(i+NODE)*500, "hit1", i);
      schedEH(2+(i+NODE)*500, "hit2", i);
      schedEH(4+(i+NODE)*500, "hit3", i);

      objectHandle = ((C_SIMOBJ *) LocalObjects[i])->GetObjectHandle();

      Schedule_test0 (99960, *objectHandle);
      Schedule_test1 (99961, *objectHandle, 0);
      Schedule_test2 (99962, *objectHandle, 1, 2.3);
      Schedule_test3 (99963, *objectHandle, TestClass(4, 5.6), 7, 8.9);
      Schedule_test4 (99964, *objectHandle, TestClass(0, 1.2), 3, 4.5, 6.7);
      Schedule_test5 (99965, *objectHandle, 1, 2, 3, 4, 5);
      Schedule_test6 (99966, *objectHandle, 1, 2, 3, 4, 5, 6);
      Schedule_test7 (99967, *objectHandle, 1, 2, 3, 4, 5, 6, 7);
      Schedule_test8 (99968, *objectHandle, 1, 2, 3, 4, 5, 6, 7, 8);
      Schedule_test9 (99969, *objectHandle, 1, 2, 3, 4, 5, 6, 7, 8, 9);
      Schedule_test10(99970, *objectHandle, 1, 2, 3, 4, 5, 6, 7, 8, 9, 10);
      Schedule_test11(99971, *objectHandle, 1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11);
      Schedule_test12(99972, *objectHandle, 1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11,
		      12);
      Schedule_test13(99973, *objectHandle, 1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11,
		      12, 13);
      Schedule_test14(99974, *objectHandle, 1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11,
		      12, 13, 14);
      Schedule_test15(99975, *objectHandle, 1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11,
		      12, 13, 14, 15);
      Schedule_test16(99976, *objectHandle, 1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11,
		      12, 13, 14, 15, 16);
      Schedule_test17(99977, *objectHandle, 1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11,
		      12, 13, 14, 15, 16, 17);
      Schedule_test18(99978, *objectHandle, 1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11,
		      12, 13, 14, 15, 16, 17, 18);
      Schedule_test19(99979, *objectHandle, 1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11,
		      12, 13, 14, 15, 16, 17, 18, 19);
      //Schedule_test20(99980, *objectHandle, 1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11,
      //	      12, 13, 14, 15, 16, 17, 18, 19, 20);

      Scheduletest0 (99960, *objectHandle);
      Scheduletest1 (99961, *objectHandle, 0);
      Scheduletest2 (99962, *objectHandle, 1, 2.3);
      Scheduletest3 (99963, *objectHandle, TestClass(4, 5.6), 7, 8.9);
      Scheduletest4 (99964, *objectHandle, TestClass(0, 1.2), 3, 4.5, 6.7);
      Scheduletest5 (99965, *objectHandle, 1, 2, 3, 4, 5);
      Scheduletest6 (99966, *objectHandle, 1, 2, 3, 4, 5, 6);
      Scheduletest7 (99967, *objectHandle, 1, 2, 3, 4, 5, 6, 7);
      Scheduletest8 (99968, *objectHandle, 1, 2, 3, 4, 5, 6, 7, 8);
      Scheduletest9 (99969, *objectHandle, 1, 2, 3, 4, 5, 6, 7, 8, 9);
      Scheduletest10(99970, *objectHandle, 1, 2, 3, 4, 5, 6, 7, 8, 9, 10);
      Scheduletest11(99971, *objectHandle, 1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11);
      Scheduletest12(99972, *objectHandle, 1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11,
		     12);
      Scheduletest13(99973, *objectHandle, 1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11,
		     12, 13);
      Scheduletest14(99974, *objectHandle, 1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11,
		     12, 13, 14);
      Scheduletest15(99975, *objectHandle, 1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11,
		     12, 13, 14, 15);
      Scheduletest16(99976, *objectHandle, 1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11,
		     12, 13, 14, 15, 16);
      Scheduletest17(99977, *objectHandle, 1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11,
		     12, 13, 14, 15, 16, 17);
      Scheduletest18(99978, *objectHandle, 1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11,
		     12, 13, 14, 15, 16, 17, 18);
      Scheduletest19(99979, *objectHandle, 1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11,
		     12, 13, 14, 15, 16, 17, 18, 19);
      //Scheduletest20(99980, *objectHandle, 1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11,
      //	       12, 13, 14, 15, 16, 17, 18, 19, 20);
   }
}
