// O_LogSem.H header file

#ifndef O_LogicalSem_Object
#define O_LogicalSem_Object

#include "S_LogSem.H"
#include "config.H"
#include "O_Sem.H"

class O_LogSem : public O_Sem
{
 private:
   static C_SIMOBJ *new_S_LogSem(DATA_PARSER &dp) {return new S_LogSem(dp);}
   S_LogSem &GetLocalObject(int localId);
   S_LogSem &GetLocalObject(char *name);
 public:  
   O_LogSem();
};

#endif

extern O_LogSem *LogSem_OBJECT_MANAGER;
