// SemManager.H header file

#ifndef O_SemMan_Object
#define O_SemMan_Object

#include "config.H"
#include "S_Sem.H"

class O_Sem: public C_OBJMAN
{
 private:
   DYN_PTR_ARRAY LocalObjects;
   DATA_PARSER Parser;
   int ContEvent;
   int ReqEvent;
   char ChildType[64];
   CONFIG Config;
 public:
   int noisy;
   double start;
   double end;
   int ReleaseRequestersBehindGateTestOn;
   int numSimObj;
   int numRequestorsPerObject;
   int numSemsPerObject;
   int numControllersPerObject;
   int timeOutValue;
   int waitValueC;
   int waitValueR;
   
   O_Sem(char *childType, int contEvent, int reqEvent);
   S_Sem *GetLocalObject(int i);
   int Configure(char *testName, SIMOBJ_CONSTRUCTOR_FUNCTION simobjConstFunc);
   void EndConfigure();
   virtual void init_events();
};

#endif
