// config.H file

#ifndef CONFIG_H
#define CONFIG_H

#include "DataParser.H"
#include "objman.H"

class CONFIG
{
 private:
   static int Replication;
   DATA_PARSER Parser;
   char TestName[128];
   int ConfigureTestSuccessful;
   int force_global_noisy;
   int force_global_quiet;
 public:
   CONFIG();
   int ConfigureTest(char *name, int &numSimObj, double &start, double &end);
   int ConfigureSubtest(char *name);
   int GetSubtestParameter(char *name);
   int GetNoisy();
   int GetReplication();
};

#endif
