// O_TestParserObjBD.H header file

#ifndef O_TestParserObjBDGate
#define O_TestParserObjBDGate

#include "O_SpBlockDecomp.H"
#include "S_TestParserObjBD.H"

class O_TestParserObjBD : public O_SpBlockDecomp {
  private:
  protected:
  public:
    O_TestParserObjBD() {CreateSimObjs("ParserObjBD.par");}
    virtual SpSimObj *CreateSimObj() {return new S_TestParserObjBD();}
    virtual void DestroySimObj(SpSimObj *simObj) {
      delete (S_TestParserObjBD *)simObj;
    }
    virtual char *GetClusterName() {return "Cluster_D";}
    virtual char *GetSimObjMgrName() {return "TestParserObjBD";}
};

DEFINE_OBJECT_MANAGER_CLUSTER(TestParserObjBD, O_TestParserObjBD, Cluster_D);

#endif
