// O_TestParserObjSD.H header file

#ifndef O_TestParserObjSDGate
#define O_TestParserObjSDGate

#include "O_SpScatterDecomp.H"
#include "S_TestParserObjSD.H"

class O_TestParserObjSD : public O_SpScatterDecomp {
  private:
  protected:
  public:
    O_TestParserObjSD() {CreateSimObjs("ParserObjSD.par");}
    virtual SpSimObj *CreateSimObj() {return new S_TestParserObjSD();}
    virtual void DestroySimObj(SpSimObj *simObj) {
      delete (S_TestParserObjSD *)simObj;
    }
    virtual char *GetClusterName() {return "Cluster_C";}
    virtual char *GetSimObjMgrName() {return "TestParserObjSD";}
};

DEFINE_OBJECT_MANAGER_CLUSTER(TestParserObjSD, O_TestParserObjSD, Cluster_C);

#endif
