// O_TestScatterDecomp.H header file

#ifndef O_TestScatterDecompGate
#define O_TestScatterDecompGate

#include "O_SpScatterDecomp.H"
#include "S_TestScatterDecomp.H"

class O_TestScatterDecomp : public O_SpScatterDecomp {
  private:
  protected:
  public:
    O_TestScatterDecomp() {CreateSimObjs(7);}
    virtual SpSimObj *CreateSimObj() {return new S_TestScatterDecomp();}
    virtual void DestroySimObj(SpSimObj *simObj) {
      delete (S_TestScatterDecomp *)simObj;
    }
    virtual char *GetClusterName() {return "Cluster_A";}
    virtual char *GetSimObjMgrName() {return "TestScatterDecomp";}
};

DEFINE_OBJECT_MANAGER_CLUSTER(TestScatterDecomp, O_TestScatterDecomp, Cluster_A);

#endif
