// S_TestDynEventHandler.H header file

#ifndef S_TestDynEventHandlerGate
#define S_TestDynEventHandlerGate

#include "SpSimObj.H"
#include "SpBuiltInMacros.H"
#include "ScheduleEvent.H"
#include "Speedes.H"
#include "SpEventHandler.H"

inline int GetNumSimObjs() {return 4;}
#define EVIL_EVENT

class TestEventHandler : public SpEventHandler {
  private:
  protected:
  public:
    virtual void Process(char *, SIMTIME &,
                         char *, int ,
			 int ) {}

};

class S_TestDynEventHandler : public SpSimObj {

  private:

    TestEventHandler EventHandler;
    RB_int NumGoodEvents;

  protected:
  public:

    virtual void Init();
    void DynEventHandlerEvent(int addFlag);
    void EvilDynEventHandlerEvent(SpRandom random);
    virtual void terminate(double tend);

};

DEFINE_EVENT_METHOD_1_ARG(DynEventHandlerEvent,
			  10,
			  S_TestDynEventHandler,
			  DynEventHandlerEvent,
			  int);

DEFINE_EVENT_METHOD_1_ARG(EvilDynEventHandlerEvent,
			  10,
			  S_TestDynEventHandler,
			  EvilDynEventHandlerEvent,
			  SpRandom);

DEFINE_BLOCK_DECOMP_OBJECT_MANAGER(TestDynEventHandler,
				   S_TestDynEventHandler,
				   GetNumSimObjs(),
				   TestDynEventHandler);

#endif
