// O_Ping.C source file

#include "O_Ping.H"
#include "S_Ping.H"
#include "ScheduleEvent.H"

//extern int PingEvent;

O_Ping::O_Ping() {

  N_TOT = 2;

  if (N_NODES == 1) {
    N_LOC = 2;
    Ping = new S_Ping[2];
  }else{
    if (NODE <= 1) {
      N_LOC = 1;
      Ping = new S_Ping();
    }
  }

  reserve_n_objects(N_LOC);
  for (int i=0; i<N_LOC; i++) define_object(&Ping[i]);
  TOTAL_OBJECTS += N_TOT;

}

void O_Ping::init_events() {

  if (NODE == 0) {
    SpObjectHandle objectHandle;
    objectHandle.NodeId = 0;
    objectHandle.ObjManId = OBJECT_TYPE;
    objectHandle.SimObjId = 0;

    SchedulePingEvent(0.0, objectHandle, 0.0);
  }

}
