// servman.H header file

#ifndef O_PersistenceTestObject_H
#define O_PersistenceTestObject_H

#include "SpSimObjMgr.H"
#include "S_PersistenceTestObject.H"
#include "SpComm.H"

/************************************************************************
*	servman object - manager of serv objects			*
************************************************************************/
class O_PersistenceTestObject : public C_OBJMAN {
  
private:
  S_PersistenceTestObject* testObject;  
protected:
  
public:

  O_PersistenceTestObject();
  virtual void init_events();

  virtual void terminate(double){
    if (SpComm_GlobalSum(testObject->GetErrorCode())){
      if (SpComm_GetNodeId() == 0){
	cout<<"Error "<<testObject->GetErrorCode()<<endl;
      }
    }
    else{
      if (SpComm_GetNodeId() == 0){
	cout<<"Test completed successfully"<<endl;
      }
    }
  }

};



#endif
