#ifndef H_SPREMOVEPROXYSPACE_H
#define H_SPREMOVEPROXYSPACE_H

#include "SpEventHandler.H"

class SpSubscribeSpace;

class SpSubscribeSpaceRemoveProxy {
  public:
    SpSubscribeSpaceRemoveProxy(int spaceId, int globalId, int numGrid)
      : SpaceId(spaceId), NumGrid(numGrid), GlobalId(globalId), NumGridRemove(0) {}

    int GetSpaceId(void)  const { return (SpaceId);  }
    int GetNumGrid(void)  const { return (NumGrid);  }
    int GetGlobalId(void) const { return (GlobalId); }

    void IncrNumGridRemove(void)      { NumGridRemove++;        }
    int  GetNumGridRemove(void) const { return (NumGridRemove); }

  private:
    int SpaceId;
    int GlobalId;
    int NumGrid;
    int NumGridRemove;
};

#ifdef NOT_USED
class H_SpRemoveProxySpace : public SpEventHandler {
  public:

    H_SpRemoveProxySpace(SpSubscribeSpace *space)
      : Space(space) {}

    void Process(char *eventName, SpSimTime &timeTag,
                 char *data, int dataBytes,
                 int externalId);

  private:
    SpSubscribeSpace *Space;
};
#endif

#endif
