// M_SpSubscribeGrid.H header file

#ifndef M_SUBSCRIBE_GRID_H
#define M_SUBSCRIBE_GRID_H

#include "SpMsg.H"

class M_SpSubscribeGrid : public SpMsg {
public:
  M_SpSubscribeGrid(void)
    : Node(-1), Type(-1), LocalId(-1), GlobalId(-1), ClassId(-1), 
      SpaceId(-1), LookAhead(0.0) {}

  M_SpSubscribeGrid(int node, int type, int local_id, int global_id, int space_id, int class_id)
    : Node(node), Type(type), LocalId(local_id), GlobalId(global_id), ClassId(class_id),
      SpaceId(space_id), LookAhead(0.0) {}

  void   SetLookAhead(double v)   { LookAhead = v;      }
  double GetLookAhead(void) const { return (LookAhead); }

  NET_INT SpaceId;
  NET_INT Node, Type, LocalId, GlobalId;	// obj handle of subscriber
  NET_INT ClassId;
  NET_DOUBLE LookAhead;
};

#endif
