// M_SpUnSubscribeSpace.H header file

#ifndef M_REM_SUBSCRIBER_SPACE_H
#define M_REM_SUBSCRIBER_SPACE_H

#include "M_SpGrid.H"

/******************************************************************************
* M_SpRemSubscriberSpace class definition                                     *
******************************************************************************/
class M_SpRemSubscriberSpace : public M_SpGrid {

private:

protected:

public:
  M_SpRemSubscriberSpace(void)
    : SpaceId(-1), GlobalId(-1), NumGrid(0), LookAhead(0.0) {}

  M_SpRemSubscriberSpace(int space_id, int global_id, int num_grid, float look_ahead=0.0)
    : SpaceId(space_id), GlobalId(global_id), NumGrid(num_grid), LookAhead(look_ahead) {}

  void SetLookAhead(float v) { LookAhead = v; }

  NET_INT    SpaceId;
  NET_INT    GlobalId;		// global id of the unsubscriber
  NET_INT    NumGrid;
  NET_DOUBLE LookAhead;
};

#endif
