// SpDDMSpace.C file

#include "SpDDMSpace.H"
#include "SpSpace.H"

#include "S_SpHLA.H"

SpDDMSpace::SpDDMSpace(void)
  : SpComponent((S_SpHLA *) 0), Space((const SpSpace *) 0) {}

SpDDMSpace::SpDDMSpace(S_SpHLA *hla, const SpSpace *space)
  : SpComponent(hla), Space(space) {}

SpDDMSpace::~SpDDMSpace(void) {}

const SpSpace *
SpDDMSpace::GetSpace(){
  return (Space);
}

int         SpDDMSpace::GetId()    const { return (Space->get_SpaceId());   }
const char *SpDDMSpace::GetName()  const { return (Space->get_SpaceName()); }
