// SpScheduleGridEvents.H

#ifndef SCHEDULE_GRID_EVENTS_H
#define SCHEDULE_GRID_EVENTS_H

class SpSimTime;
class RB_SpBinaryTree;

extern void SchedulePublishGridEvents(const SpSimTime &time,
              int node, int type, int local_id, int global_id, int class_id, int space_id,
              double look_ahead, RB_SpBinaryTree &grids);

extern void ScheduleUnPublishGridEvents(const SpSimTime &time,
              int node, int type, int local_id, int global_id, int space_id, double look_ahead,
              RB_SpBinaryTree &grids);

extern void ScheduleSubscribeGridEvents(const SpSimTime &time,
              int node, int type, int local_id, int global_id, int class_id,
              int space_id, double look_ahead, RB_SpBinaryTree &grids);

extern void ScheduleUnSubscribeGridEvents(const SpSimTime &time,
              int global_id, int space_id, double look_ahead, RB_SpBinaryTree &grids);

#endif
