// E_SpDecMgrSubscribe.C source file

#include "E_SpDecMgrSubscribe.H"

#include "S_SpDecMgr.H"
#include "M_SpDecMgrSubscribe.H"

/******************************************************************************
* E_SpDecMgrSubscribe constructor                                              *
******************************************************************************/
E_SpDecMgrSubscribe::E_SpDecMgrSubscribe() {
//  set_lazy();
}

/******************************************************************************
* process: Optimistically process the event                                   *
******************************************************************************/
void E_SpDecMgrSubscribe::process() {
  S_SpDecMgr *s_dec_man     = (S_SpDecMgr *)           SIMOBJ;
  M_SpDecMgrSubscribe *msg = (M_SpDecMgrSubscribe *) get_MESSAGE();

  s_dec_man->AddSubscriber(msg->Node, msg->ObjectType, msg->LocalId, msg->GlobalId);
}

/******************************************************************************
* commit: commit the event                                                    *
******************************************************************************/
void E_SpDecMgrSubscribe::commit() {

}

int E_SpDecMgrSubscribe::lazy() {
  S_SpDecMgr *s_dec_man     = (S_SpDecMgr *)           SIMOBJ;
  RB_cout << time_tag << " E_SpDecMgrSubscribe lazy - node " 
       << s_dec_man->get_NODE() << " class " << s_dec_man->GetClassId() << endl;

  return (0);
}

