// E_SpDecMgrUnsubscribe.C source file

#include "E_SpDecMgrUnsubscribe.H"

#include "S_SpDecMgr.H"
#include "M_SpDecMgrUnsubscribe.H"

/******************************************************************************
* E_SpDecMgrUnsubscribe constructor                                            *
******************************************************************************/
E_SpDecMgrUnsubscribe::E_SpDecMgrUnsubscribe() {

// set_lazy();

}

/******************************************************************************
* process: Optimistically process the event                                   *
******************************************************************************/
void E_SpDecMgrUnsubscribe::process() {
  S_SpDecMgr *s_dec_man       = (S_SpDecMgr *)        SIMOBJ;
  M_SpDecMgrUnsubscribe *msg = (M_SpDecMgrUnsubscribe *) get_MESSAGE();

#ifdef DEBUG
  RB_cout << "E_SpDecMgrUnsubscribe (" 
          << s_dec_man->get_GLOBAL_ID() << ") Removing subscriber : " << msg->GlobalId;
  RB_cout << " at time (" << get_MESSAGE()->time_tag.GetTime()
          << ", " << get_MESSAGE()->time_tag.GetPriority1()
          << ", " << get_MESSAGE()->time_tag.GetPriority2() << ")";
  RB_cout << endl;
#endif

  s_dec_man->RemoveSubscriber(msg->Node, msg->GlobalId);
}

/******************************************************************************
* commit: commit the event                                                    *
******************************************************************************/
void E_SpDecMgrUnsubscribe::commit() {

}

