// E_DeliverProxyPtr.H header file

#ifndef E_DelProxyPtr_object
#define E_DelProxyPtr_object

#include "SpEvent.H"
#include "SpExecute.H"
#include "M_SpDeliverProxyPtr.H"

/************************************************************************
* Deliver Proxy Pointer event object		       			*
************************************************************************/
class E_SpDeliverProxyPtr : public SpEvent {

  public:

    E_SpDeliverProxyPtr();
    virtual void process();
    int lazy();
    void commit();

  private:
    int valid, errcode, num_grid_added;
};

DEFINE_EVENT(DELIVER_PROXY_PTR, E_SpDeliverProxyPtr, M_SpDeliverProxyPtr, 10);
typedef E_SpDeliverProxyPtr E_DELIVER_PROXY_PTR;

#endif
