// E_SpDeliverProxyPtrSpace.H

#ifndef E_SP_DELIVER_PROXY_PTR_SPACE_H
#define E_SP_DELIVER_PROXY_PTR_SPACE_H

#include "SpEvent.H"
#include "SpExecute.H"
#include "M_SpDeliverProxyPtrSpace.H"

/************************************************************************
* Deliver Proxy Pointer event object		       			*
************************************************************************/
class E_SpDeliverProxyPtrSpace : public SpEvent {
  public:
    E_SpDeliverProxyPtrSpace();
    virtual void process();
    int lazy();
    void commit();

  private:
    int valid, errcode;
};

DEFINE_EVENT(DeliverProxyPtrSpace, E_SpDeliverProxyPtrSpace, M_SpDeliverProxyPtrSpace, 10);

#endif
