// E_SpHlaUnsubscribe.C source file

#include "E_SpHlaUnsubscribe.H"

#include "M_SpHlaUnsubscribe.H"
#include "S_SpHLA.H"

/******************************************************************************
* E_SpHlaUnsubscribe constructor                                               *
******************************************************************************/
E_SpHlaUnsubscribe::E_SpHlaUnsubscribe() {

// set_lazy();

}

/******************************************************************************
* process: Optimistically process the event                                   *
******************************************************************************/

void E_SpHlaUnsubscribe::process() {
  S_SpHLA *obj             = (S_SpHLA *) SIMOBJ;
  M_SpHlaUnsubscribe *msg = (M_SpHlaUnsubscribe *) get_MESSAGE();

  obj->RemoveSubscriber(msg->Node, msg->GlobalId, msg->LocalId, msg->ObjType);
}

/******************************************************************************
* commit: commit the event                                                    *
******************************************************************************/
void E_SpHlaUnsubscribe::commit() {

}
