// E_SpPublish.C source file

#include "E_SpPublish.H"

#include "S_SpDecMgr.H"
#include "M_SpPublish.H"

/******************************************************************************
* E_SpPublish constructor                                                *
******************************************************************************/
E_SpPublish::E_SpPublish() {
// set_lazy();
}

/******************************************************************************
* process: Optimistically process the event                                   *
******************************************************************************/

void E_SpPublish::process() {
  S_SpDecMgr *s_dec_man   = (S_SpDecMgr *)         SIMOBJ;
  M_SpPublish *msg = (M_SpPublish *) get_MESSAGE();

  s_dec_man->AddPublisher(msg->Node, msg->ObjectType, msg->LocalId, msg->GlobalId);
}

/******************************************************************************
* commit: commit the event                                                    *
******************************************************************************/
void E_SpPublish::commit() {
}

int E_SpPublish::lazy() {
  S_SpDecMgr *s_dec_man   = (S_SpDecMgr *)         SIMOBJ;

  RB_cout << time_tag << " E_SpPublish lazy - node " 
          << s_dec_man->get_NODE() << " class " << s_dec_man->GetClassId() << endl;

  return (0);
}

