// E_SpReflectAttributesData.C method file

#include "E_SpReflectAttributesData.H"
#include "S_SpFedGhost.H"

/************************************************************************
* REFLECT_ATTRIBUTES_DATA : Construct a REFLECT_ATTRIBUTES_DATA event   *
*                           object                    			*
************************************************************************/
E_SpReflectAttributesData::E_SpReflectAttributesData() {
  ;
}

/************************************************************************
* process : optimistically process event				*
************************************************************************/
void E_SpReflectAttributesData::process() {

  M_SpReflectAttributesData* reflectMsg = (M_SpReflectAttributesData*) MESSAGE;

  S_SpFedGhost* fedGhost = (S_SpFedGhost*) SIMOBJ;
  fedGhost->SetMinMsgTime(GetTime());

  HostUser->RB_SendNamedData("ReflectAttributes",
			     GetTime(),
			     fedGhost->GetExternalId(),
			     DATA,
			     reflectMsg->bytes,
			     reflectMsg->GlobalId);
}
