// E_SpUnDeliverProxyPtrSpace.H

#ifndef E_SP_UNDELIVER_PROXY_PTR_SPACE_H
#define E_SP_UNDELIVER_PROXY_PTR_SPACE_H

#include "SpEvent.H"
#include "SpExecute.H"
#include "M_SpUndeliverProxyPtrSpace.H"

/************************************************************************
* Deliver Proxy Pointer event object		       			*
************************************************************************/
class E_SpUndeliverProxyPtrSpace : public SpEvent {

  public:
    E_SpUndeliverProxyPtrSpace();
    virtual void process();
    int lazy();
    void commit();
  
  private:
    int valid;
};

DEFINE_EVENT(UndeliverProxyPtrSpace, E_SpUndeliverProxyPtrSpace, M_SpUndeliverProxyPtrSpace, 10);

#endif
