// M_SpDeliverProxyPtrSpace.H message file

#ifndef M_SP_DELIVER_PROXY_PTR_SPACE_H
#define M_SP_DELIVER_PROXY_PTR_SPACE_H

#include "SpMsg.H"

/************************************************************************
*	Deliver Proxy Pointer message 	       				*
************************************************************************/
class M_SpDeliverProxyPtrSpace : public SpMsg {

  public:
    M_SpDeliverProxyPtrSpace(void)
      : SpaceId(-1), ProxyGlobalId(-1), NumGrid(0) {}

    M_SpDeliverProxyPtrSpace(int spaceId, int proxyGlobalId, int numGrid=0)
      : SpaceId(spaceId), ProxyGlobalId(proxyGlobalId), NumGrid(numGrid) {}

    int ProxyGlobalId, SpaceId, NumGrid;
};

#endif
