// M_SpUndeliverProxyPtr.H message file

#ifndef M_HLA_EVENT_UNDELIVER_PROXY_PTR_H
#define M_HLA_EVENT_UNDELIVER_PROXY_PTR_H

#include "SpMsg.H"

#include "SpObjProxy.H"

/************************************************************************
*	Deliver Proxy Pointer message 	       				*
************************************************************************/
class M_SpUndeliverProxyPtr : public SpMsg {

  public:
    M_SpUndeliverProxyPtr(void)
      : SpaceId(-1), NumGrid(0), ProxyGlobalId(-1) {}

    M_SpUndeliverProxyPtr(int space_id, int proxy_global_id, int num_grid)
      : SpaceId(space_id), NumGrid(num_grid), ProxyGlobalId(proxy_global_id) {}

    int SpaceId, NumGrid, ProxyGlobalId;
};

typedef M_SpUndeliverProxyPtr M_UNDELIVER_PROXY_PTR;

#endif
