// SpPlugInDM.C

#include "SpExecute.H"

#include "O_SpDecMgr.H"
#include "E_SpPublish.H"
#include "E_SpDecMgrSubscribe.H"
#include "E_SpDecMgrUnpublish.H"
#include "E_SpDecMgrUnsubscribe.H"

#include "E_SpAddSubscriber.H"
#include "E_SpDefaultPublish.H"
#include "E_SpDefaultSubscribe.H"

#include "E_SpUndeliverProxyPtr.H"
#include "E_SpHlaUnsubscribe.H"
#include "E_SpHlaUnpublish.H"

#include "E_SpNewProxy.H"
#include "E_SpRemoveProxy.H"

#include "E_SpHlaUpdateProxyDistList.H"

#include "S_SpHLA.H"

static int SpDMPluggedIn = 0;

int SpDMEnabled(){
  return (SpDMPluggedIn);
}

void PlugInDM(){
  if (SpDMEnabled()) return;

  PLUG_IN_OBJECT_MANAGER(DECMAN);

  PLUG_IN_EVENT(PUBLISH_DECMAN);
  PLUG_IN_EVENT(SUBSCRIBE_DECMAN);
  PLUG_IN_EVENT(UNSUBSCRIBE_DECMAN);
  PLUG_IN_EVENT(UNPUBLISH_DECMAN);

  PLUG_IN_EVENT(ADD_SUBSCRIBER_HLA);
  PLUG_IN_EVENT(DEFAULT_PUBLISH_HLA);
  PLUG_IN_EVENT(DEFAULT_SUBSCRIBE_HLA);

  PLUG_IN_EVENT(UNDELIVER_PROXY_PTR);
  PLUG_IN_EVENT(UNSUBSCRIBE_HLA);
  PLUG_IN_EVENT(UNPUBLISH_HLA);
   
  PLUG_IN_EVENT(NEW_PROXY_LOCAL_PROXYMAN);
  PLUG_IN_EVENT(REM_PROXY_LOCAL_PROXYMAN);

  PLUG_IN_EVENT(UpdateProxyDistList);

  SpDMPluggedIn = 1;
}
