#ifndef MPI_GLOBALS_H
#define MPI_GLOBALS_H

#include <mpi.h>
#include "MPI_SpStructs.H"

const static int  MAX_PROC = 8;         // MAX Number of Processes
const static int MPI_BUFFER_SIZE=50000; // MPI buffer size - one buffer/process
const static int MPI_MESSAGE_TYPES=6;   // # control message types
const static int MPI_SPCOMM_MESSAGE_BLOCKING_SEND = 259;


extern MPI_Group  World_Group, Make_Group;
extern MPI_Comm   MPI_Fuzzy_Comm;
extern MPI_Comm   MPI_PTP_Comm;
extern MPI_Comm   MPI_Sync_Comm;

extern const int MPI_Buffer_Size;
extern char  MPI_Buffer[MPI_BUFFER_SIZE];  

extern int TAG_COUNTER_ARRAY_KEY_PTP; 
#endif
