#ifndef MPI_GLOBALS_H
#define MPI_GLOBALS_H

#include <mpi.h>
#include "MPI_Strucs.H"

const static int  MAX_PROC = 128;        // MAX Number of Processes
const static int MPI_MESSAGE_TYPES=10;   // # control message types
const static int MPI_SPCOMM_MESSAGE_BLOCKING_SEND = 259;
const static int MPI_BUFFER_SIZE=500000; // MPI buffer size - one buffer/process

extern MPI_Group  World_Group, Make_Group;
extern MPI_Comm   MPI_Fuzzy_Comm;
extern MPI_Comm   MPI_PTP_Comm;

#endif
