#include "SpInternalMsgHdr.H"
#include "SpConnection.H"
#include <sys/types.h>
#ifndef __SPEEDES_NT__
#include <unistd.h>
#include <netinet/in.h>
#else
#include <windows.h>
#endif

const int HEADER_SIZE = 2 * sizeof(long int);

//geb3.98 whole fcn:
void internalMsgHdr::packMsgHeader(long int *hdr) {
  hdr[0] = htonl(MsgType);   // convert to network byte order
  hdr[1] = htonl(NumBytes);  // convert to network byte order
}

//geb3.98 whole fcn
void internalMsgHdr::unpackHeader(long int *hdr) {
  MsgType = ntohl( hdr[0] );
  NumBytes = ntohl( hdr[1] );
}
