#ifndef Internal_Msg_Hdr_Class
#define Internal_Msg_Hdr_Class


// So far a header is just the msg type and length;  but this struct 
// enables me to add more later:
class internalMsgHdr {
 public:
   long int MsgType;        // Socket internal or user
   long int NumBytes;

   enum { USER_MSG=0, CLOSE_CONN };


   internalMsgHdr(long int size = -1) { 
      MsgType = USER_MSG;
      NumBytes = size;
   }


   void packMsgHeader(long int *hdr);  //geb3.98:  long * instead of char *!
   void unpackHeader(long int *hdr);   //geb3.98:  long * instead of char *!
   int userMsg_p(void) {
      return (MsgType == USER_MSG);
   }

   int internalSockMsg_p(void) {
      return (MsgType != USER_MSG);
   }

   void makeCloseConnectMsg(void) {
      MsgType = CLOSE_CONN;
   }
      
  
};

//geb3.98:  2 consts below
extern const int HEADER_SIZE;

#endif
