// Cancel.C file

#include "SpIostream.H"
#include "SpFstream.H"
#include "SpStrstream.H"
#include "SpIomanip.H"
#include "SpStdlib.H"
#include "SpString.H"
#include "SpEmHostUser.H"


int main(int argc, char **argv) {
  SpEmHostUser *EmHostUser;

  if (argc == 2) {
    EmHostUser = new SpEmHostUser();

    int cancelHandle = atoi(argv[1]);
    CANCEL_EVENT_REPLY_MESSAGE * msg = 
      EmHostUser->CancelEvent(cancelHandle, 1);

    switch (msg->ErrorCode)
      {
      case CANCELED_EVENT_OK:
	cout<<"!!!!!!!!!!!!!!!!!!!!!!!!!!!!!Canceled the event  :-)"<<endl;
	break;
      case CANCEL_EVENT_NOT_FOUND:
	cout<<"!!!!!!!!!!!!!!!!!!!!!!!!!!!!!Event not found  :-("<<endl;
	break;
    }
   
    delete EmHostUser;
  }else{
    cout << "Error, Command <CancelHandle>"<<endl;
  }

  return 0;
}
