// E_SpDestroy.C method file

#include "SpStdio.H"
#include "SpStdlib.H"
#include "SpTime.H"
#include "RB_ostream.H"

#include "E_SpDestroy.H"

/************************************************************************
* E_SpDestroy : construct a destroy object					*
************************************************************************/
E_SpDestroy::E_SpDestroy() {

}

/************************************************************************
* process : temporarily process event					*
************************************************************************/
void E_SpDestroy::process() {

//  RB_cout << "Destroying a SimObj" << endl;

  SpSimObjMgr *simObjMgr = (SpSimObjMgr *)SIMOBJ;

  M_SpDestroy *destroyMess = (M_SpDestroy *)MESSAGE;
  int oldLocalId = destroyMess->OldLocalId;

  SpSimObj *simObj = simObjMgr->get_obj(oldLocalId);

  if (simObj) {
    simObjMgr->remove_object(simObj);
  }else{
    RB_cout << "Error, bad destroy" << endl;
    return;
  }

  simObjMgr->DestroySimObj(simObj);

}
