// E_SpEventHandler.H header file defines the event that calls the
// user-provided event handlers.

#ifndef EVENT_HANDLER_EVENT_OBJECT
#define EVENT_HANDLER_EVENT_OBJECT

#include "SpEvent.H"
#include "M_SpEventHandler.H"
#include "SpExecute.H"

class E_SpEventHandler : public SpEvent {

  public:

    E_SpEventHandler();
    virtual void process();

};

DEFINE_EVENT(EVENT_HANDLER_EVENT,
	     E_SpEventHandler,
	     M_SpEventHandler,
	     10);

typedef E_SpEventHandler C_EVENT_HANDLER_EVENT;

#endif
