// E_SpInitial.H header file

#ifndef inevt_object
#define inevt_object

#include "SpEvent.H"
#include "SpEventMsgMgr.H"
#include "SpExecute.H"

/************************************************************************
* InitialEvent object 							*
************************************************************************/
class E_SpInitial : public SpEvent {

  private:
    void Trace(void);
    void ProcessEvent(int event_type);
    void ProcessEvent(char *message, int from_comm=0);
    void TransferMsg(SpEvent *event);

    void ProcessDM(void);
    void ProcessDDM(void);

  protected:

  public:

   E_SpInitial();
   virtual void process();
   virtual void commit();

  void InitSimObj(SpSimObj *simObj) {SIMOBJ = simObj;}
  void InitEventType(int et) {
    EVENT_TYPE = et;
    MESSAGE->evtype = et;
    freeid = et;
  }

  virtual void CriticalPathMessages(double ) {
    C_HOLDER *holder;
    SpMsg *header;

    int len = get_mque()->get_length();
    if (len) {

      holder = (C_HOLDER *)get_mque()->get_top();
      for (int i=0; i<len; i++) {
	header = (SpMsg *)holder->get_buff();
	header->EarliestStartTime = 0.0;
	holder = (C_HOLDER *)holder->get_link();
      }

    }

  }

};

DEFINE_EVENT(INITIAL_EVENT, E_SpInitial, SpMsg, 1);

typedef E_SpInitial C_INITIAL_EVENT;

#endif
