// SpAntiMsg.H header file

#ifndef antimess_object
#define antimess_object

#include "SpNetTypes.H"
#include "sq_item.H"
#include "SpEvent.H"

/************************************************************************
*	antimess object 						*
************************************************************************/
class SpAntiMsg : public C_SQ_ITEM {

  private:

    NET_INT obid;
    NET_INT obtype;
    NET_INT node;
    NET_INT etype;
    NET_INT bytes;
    SpEvent *event;

  protected:

  public:

    SpAntiMsg() {;}

    int get_rbid() {return id;}
    int get_obid() {return obid;}
    int get_obtype() {return obtype;}
    int get_node() {return node;}
    int get_etype() {return etype;}
    int get_bytes() {return bytes;}
    SpEvent *get_event() {return event;}

    void set_rbid(int r) {id = r;}
    void set_obid(int oid) {obid = oid;}
    void set_obtype(int ot) {obtype = ot;}
    void set_node(int n) {node = n;}
    void set_etype(int e) {etype = e;}
    void set_bytes(int b) {bytes = b;}
    void set_event(SpEvent *e) {event = e;}

};


class SpCancelHandle : public SpAntiMsg {
};

typedef SpCancelHandle C_CANCEL_HANDLE;

typedef SpAntiMsg C_ANTIMESS;

enum {
  AMESS,
  N_ALTS
};

class C_ANTI_MSG_FREE_LIST : public C_FREE_LIST {
public:
  C_ANTI_MSG_FREE_LIST();
};

extern C_ANTI_MSG_FREE_LIST* SpCurrentAntiMsgFreeList;

#endif
