#ifndef SpAltIntValue_Header
#define SpAltIntValue_Header

#include "SpAlt.H"

/**********************************************************************
 * 
 **********************************************************************/
class SpAltIntValue : public SpAlt {
public:
  void Alter( int* valuePtr );
  virtual void Rollback();
private:
  int* ValuePtr;
  int Value;
};

/**********************************************************************
 * 
 **********************************************************************/
inline
void
SpAltIntValue::Alter( int* valuePtr ) {
  ValuePtr = valuePtr;
  Value = *ValuePtr;
}

/**********************************************************************
 * 
 **********************************************************************/
inline
void
SpAltIntValue::Rollback() {
  int temp;

  temp = Value;
  Value = *ValuePtr;
  *ValuePtr = temp;
}

DEFINE_MEMPOOL( SpAltIntValue, ALT_CHUNK_SIZE )

#endif

