#ifndef SpAltStringValue_Header
#define SpAltStringValue_Header

#include "SpAlt.H"

/**********************************************************************
 * 
 **********************************************************************/
class SpAltStringValue : public SpAlt {
public:
  void Alter( char** valuePtr );
  virtual void Cleanup();
  virtual void Rollback();
private:
  char** ValuePtr;
  char* Value;
};

/**********************************************************************
 * 
 **********************************************************************/
inline
void
SpAltStringValue::Alter( char** valuePtr ) {
  ValuePtr = valuePtr;
  Value = *ValuePtr;
}

/**********************************************************************
 * 
 **********************************************************************/
inline
void
SpAltStringValue::Cleanup() {
//  free( Value );
}

/**********************************************************************
 * 
 **********************************************************************/
inline
void
SpAltStringValue::Rollback() {
  char* temp;

  temp = Value;
  Value = *ValuePtr;
  *ValuePtr = temp;
}

DEFINE_MEMPOOL( SpAltStringValue, ALT_CHUNK_SIZE )

#endif

