// S_SpProc.H header file

#ifndef S_SpProc_Class
#define S_SpProc_Class

#include "SpSimObj.H"
#include "SpDataParser.H"
#include "SpPoDataBase.H"


class SpSharedSem;

class S_SpProc : public SpSimObj
{
  public:
   C_XQUEUE *threadList; // list of Stacks
   ~S_SpProc() { delete threadList; }
   S_SpProc() {
     if (SpPoDataBase::DoNotAllocateMemoryInConstructor != 1){
       threadList = new C_XQUEUE;
     }
     else{
       threadList = NULL;
     }
   }
};

typedef S_SpProc Thread;

#endif
