#include "SubType.H"

SUB_TYPE::SUB_TYPE(char *type, int externalId):
  Type(strdup(type)),
  ExternalId(externalId)
{}

SUB_TYPE::~SUB_TYPE() {
  if (Type) free(Type);
}

void SUB_TYPE::SetType(char *type) {
  if (Type) free(Type);
  Type = strdup(type);
}


int SUB_TYPE::Compare(char *type, int externalId) {
  int RetValue = !strcmp(Type, type);
  if (RetValue) RetValue = (ExternalId == externalId);
  return RetValue;
}

int SUB_TYPE::Compare(char *type) {
  return (!strcmp(Type, type));
}

