// parser.H header file

#ifndef parser_object
#define parser_object

#include "SpStdio.H"

#include "SpMemory.H"

#include "SpString.H"
#include "queue.H"
class SpBasetype;


/************************************************************************
*	parser object 							*
************************************************************************/
class C_PARSER {

  private:

    char *name;
    FILE *fp;
    C_QUEUE types;
    char s1[120];
    char s2[120];
    char s3[120];

  protected:

  public:

    C_PARSER(char *file);
    ~C_PARSER();

    int check();
    void backup();
    SpBasetype *get_basetype(char *s);
    void add_type(char *s);
    void list_types();
    void print_type(char *s);
    void printfile(FILE *f);

};


#endif
