// item.C method file (nothing here since everybody inherits off of item)

#include "SpStdio.H"
#include "qitem.H"
#include "RB_SpDefineClass.H"

RB_DEFINE_CLASS(C_ITEM);

void C_DUMMY_V::print(){fprintf(stderr,"DUMMY V printing...\n");}

void RB_Register_C_ITEM(void)
{
  RB_REGISTER_CLASS_C_ITEM();
}

C_ITEM* C_ITEM::copy(){printf("copy not implemented\n"); return NULL;}

void C_ITEM::print()
{  
  fprintf(stderr,"ITEM: Id = %d, Time = %f, Priorities = %d %d\n",
	  (int)id,
	  (double)time_tag.GetTime(),
	  (int)time_tag.GetPriority1(),
	  (int)time_tag.GetPriority2());
}

void C_ITEM::printstream(ostream &out // IN: ostream object to print to
			     )
{
  out << "ITEM: id = " << id << " " << time_tag << endl;
}

void C_ITEM::printfile(FILE*){};

char* C_ITEM::GetName(){return NULL;}


C_ITEM::~C_ITEM(){}

