// qitem.H header file

#include "SpStdio.H"
#include "SpMemory.H"

#ifndef qdata_object
#define qdata_object

#include "qitem.H"
#include "SpSimTime.H" //GEB2
#include "SpString.H"

/************************************************************************
*	buffer object							*
************************************************************************/
class C_QUERY_DATA {

  private:

    char name[40];
    SpSimTime value; //GEB2

  protected:

  public:

    C_QUERY_DATA() {;}

    void set_data(char *n);
    void set_data(char *n, SpSimTime& tt);
    void set_data(char *n, int v);
    void set_data(char *n, double v);
    void set_data(char *n, double v, int P1);
    void set_data(char *n, double v, int P1, int P2);

    char *get_name() {return name;}
    SpSimTime& get_value() {return value;} //GEB2

    void print();

};

#endif

