// td_evtq.H header file

#ifndef td_evtq_object
#define td_evtq_object

#include "speedes_comm.H"
#include "SpTimeMgtAlg.H"

/************************************************************************
*	td_evtq object 							*
************************************************************************/
class C_TD_EVTQ : public SpTimeMgtAlg {

  private:

  protected:

    C_DBL_QUEUE dbl_qproc;	// queue of processed events
    int n_not_valid;		// # not valid events processed this cycle
    double event_horizon;	// event horizon
    double tmin;		// minimum time for event
    double tblock;		// blocking time for external messages

  public:

    C_TD_EVTQ();

    void process_event();
    void messages();

    virtual void temp_process();
    virtual void perm_process();
    virtual void find_gvt();
    virtual void get_blocked_messages();

};


#endif
