// SpCreateObjProxyEvent.H header file defines the event inside the OPSM
// that creates object proxies.

#ifndef DEF_COPE
#define DEF_COPE

#include "SpStateMgrEvent.H"
#include "SpObjProxy.H"

class SpCreateObjProxyEvent : public SpStateMgrEvent {

  private:

    SpObjProxy *ObjectProxy;

  protected:

  public:

    SpCreateObjProxyEvent() {ObjectProxy = NULL;}
    virtual void Process();

};

typedef SpCreateObjProxyEvent CREATE_OBJECT_PROXY_EVENT;

#endif
