// SpGatewayStateMgr.H header file

#ifndef SpGatewayStateMgrGate
#define SpGatewayStateMgrGate

#include "SpFedStateMgr.H"

class SpGatewayStateMgr : public SpFedStateMgr {

  private:
  protected:
  public:

    void Connect (SpSimTime connectTime=-1.0e20);

    SpGatewayStateMgr(char *machineName, int port, int groupId) :
      SpFedStateMgr(machineName, port, groupId) {;}

    SpGatewayStateMgr(SpDataParser *parser) :
      SpFedStateMgr(parser) {;}

    SpGatewayStateMgr(char *fileName) :
      SpFedStateMgr(fileName) {;}

    SpSimTime GetMinMsgTime();

    virtual void SubscribeInteraction(char *className);

    void SubscribeInteraction(char *className, SpStateMgrEvent *(*f)());

};

#endif
