// SpGlobalState.H

#ifndef GBL_ST
#define GBL_ST

#include "RB_Types.H"

class SpGlobalState {

  private:
    RB_INT NumberOfProxies;
    RB_INT NumberOfReflections;

  protected:

  public:

    SpGlobalState() {
      NumberOfProxies = 0;
      NumberOfReflections = 0;
    }

    void IncrementNumberOfProxies() {NumberOfProxies += 1;}
    void IncrementNumberOfReflections() {NumberOfReflections += 1;}

    int GetNumberOfProxies() {return NumberOfProxies;}
    int GetNumberOfReflections() {return NumberOfReflections;}

    void Print() {
      cout << "Number of proxies = " << NumberOfProxies << endl;
      cout << "Number of reflections = " << NumberOfReflections << endl;
    }

};

typedef SpGlobalState GLOBAL_STATE;

#endif
