#ifndef SpAltHashChange_Header
#define SpAltHashChange_Header

#include "xhash.H"

#include "SpAlt.H"

/**********************************************************************
 * 
 **********************************************************************/
class SpAltHashChange : public SpAlt {
public:
  void Alter( C_XHASH* hash, C_SQ_ITEM* item, int pop );
  virtual void Rollback();
private:
  C_XHASH* Hash;
  C_SQ_ITEM* Item;
  int Pop;
};

/**********************************************************************
 * 
 **********************************************************************/
inline
void
SpAltHashChange::Alter( C_XHASH* hash, C_SQ_ITEM* item, int pop ) {
  Hash = hash;
  Item = item;
  Pop = pop;
}

/**********************************************************************
 * 
 **********************************************************************/
inline
void
SpAltHashChange::Rollback() {
  if( Pop ) {
    Hash->remove( Item );
  }
  else {
    Hash->add( Item );
  }
  Pop = ! Pop;
}

DEFINE_MEMPOOL( SpAltHashChange, ALT_CHUNK_SIZE )

#endif

