#include "SpAltListChange.H"
#include "RB_SpList.H"

#ifndef USE_OLD_FUNCTIONALITY
/**********************************************************************
 * 
 **********************************************************************/
void
SpAltListChange::Rollback() {
  if( Exists ) {
    List->InternalRemove( Item );
  }
  else {
    if( Bottom ) {
      List->InsertBot( Item );
    }
    else {
      List->InsertTop( Item );
    }
  }
  Exists = ! Exists;
}

#else

void
SpAltListChange::Rollback() {
  if( Exists ) {
    List->SpList::remove( Item );
  }
  else {
    if( Bottom ) {
      List->SpList::push_bot( Item );
    }
    else {
      List->SpList::push_top( Item );
    }
  }
  Exists = ! Exists;
}


#endif

PLUGIN_MEMPOOL( SpAltListChange )

