#ifndef SpEndianNature_H
#define SpEndianNature_H

#include "SpIostream.H"

#define NOISY_SpEndianNature //geb dbug

class SpEndianNature{
private:
  static char Endian;
public:
enum {
    BigEndian = 0,
    LittleEndian = 1
  };
  
  static void DetermineEndianNature(){
    int x = 1;
    char * ptr = (char *)&x;
    if (!*ptr){
      Endian=BigEndian;
#ifdef NOISY_SpEndianNature
      cout<<"Machine appears to be BigEndian."<<endl;
#endif
    }
    else{
      Endian = LittleEndian;
#ifdef NOISY_SpEndianNature 
      cout<<"Machine appears to be LittleEndian."<<endl;
#endif
    }
  }
  static char GetEndianNature() {
    return Endian;
  }
};



typedef SpEndianNature ENDIAN_NATURE;

#endif
