/******************************************************************************
* Function: ErrorSignals
* Summary: sets up signal handlers for signals which indicate errors
* Description: calls the signal function on signals like segmentation
*              fault, etc.  The passed in handler is called for these
*              signals.  In addition to the passed in handler being
*              called for these signals, there is other code that will
*              be executed which ensures that the program crashes with
*              a core dump so that a call stack can be obtained.
* Return: void
******************************************************************************/
void ErrorSignals(void (*handler)());
