// SpMsgHolder.H header file that defines a holder for messages

#ifndef SpMsgHolder_OBJECT
#define SpMsgHolder_OBJECT

#include "qitem.H"
#include "SpMsgHeader.H"

class SpMsgHolder : public C_ITEM {

  private:

    GENERIC_MSG_HEADER *Message;

  protected:

  public:

    SpMsgHolder(GENERIC_MSG_HEADER *M) {Message = M;}

    void SetMessage(GENERIC_MSG_HEADER *M) {Message = M;}
    GENERIC_MSG_HEADER *GetHolderMessage() {return Message;}

    int GetType() {return Message->handlerNum;}
    int CompareType(int Type) {return (Message->handlerNum == Type);}

};

typedef SpMsgHolder MSG_HOLDER;

#endif
