// Defines interface to the SPEEDES par file parser class,
// SpParser

#ifndef _SpParser_H
#define _SpParser_H

#include "SpParserCommon.H"
#include <SpIostream.H>

class SpParserFlexLexer;
#include "SpSet.H"

class SpParser
{
public:
  SpParser(istream *infile);
  SpParser(char *filename);
  SpSet *Parse(SpSet *set=NULL);
  SpSet *Top() {return commondata.toplev; }
private:
  istream *input;
  struct SpParserCommon commondata;
};

#endif // #ifndef _SpParser_H
